import { OnInit } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { LoginFormType } from '../../../enums/login-input-form.enum';
import { LoginForm } from '../../../model/auth.models';
import { AbstractAuthService } from '../abstract-auth.service';
import { AuthModuleViewComponent } from '../auth-module-view';
import * as i0 from "@angular/core";
export declare class LoginScreenComponent extends AuthModuleViewComponent implements OnInit {
    authService: AbstractAuthService;
    title: string;
    usernameLabel: string;
    phoneNumberPlaceHolder: string;
    enableRememberMe: boolean;
    enableForgetPassword: boolean;
    enableSocialLogin: boolean;
    enableRegistration: boolean;
    customClass: string;
    hidePassword: boolean;
    loginFormGroup: FormGroup<LoginForm>;
    /***/
    constructor(authService: AbstractAuthService);
    ngOnInit(): void;
    /**
     * on submit login
     */
    onSubmit(): void;
    navigateToRegister: () => void;
    navigateToForgetPassword: (email: string) => void;
    /**
     * build login form group
     */
    private buildForm;
    onLoginFormTypeChange(loginFormType: LoginFormType): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginScreenComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginScreenComponent, "lib-login-screen", never, { "title": { "alias": "title"; "required": false; }; "usernameLabel": { "alias": "usernameLabel"; "required": false; }; "phoneNumberPlaceHolder": { "alias": "phoneNumberPlaceHolder"; "required": false; }; "enableRememberMe": { "alias": "enableRememberMe"; "required": false; }; "enableForgetPassword": { "alias": "enableForgetPassword"; "required": false; }; "enableSocialLogin": { "alias": "enableSocialLogin"; "required": false; }; "enableRegistration": { "alias": "enableRegistration"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; }, {}, never, never, false, never>;
}
