import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnInit } from '@angular/core';
import { LibMenuItem } from '../../model/lib-menu-item';
import { PopupModalService } from '../modal/popup-modal/popup-modal.service';
import { IAutoDelegationData } from './interface/auto-delegation-data.interface';
import { IAutoDelegationEvent } from './interface/auto-delegation.event.interface';
import { IAutoDelegationModalData } from './interface/auto-delegation.modal-data.interface';
import * as i0 from "@angular/core";
export declare class LibAutoDelegationModalComponent implements OnInit, AfterViewInit {
    private changeDetectorRef;
    private popupModalService;
    modalData?: IAutoDelegationModalData;
    childModalElementRef: ElementRef<HTMLDivElement>;
    countdown: number;
    expandedBaseCard?: boolean;
    data: IAutoDelegationData;
    menuItems: LibMenuItem[];
    event: EventEmitter<IAutoDelegationEvent>;
    totalStrokeLength: number;
    currentCountdownAt: number;
    activeCountdownPathId: string;
    strokeDashOffset: number;
    componentData: IAutoDelegationModalData | null;
    constructor(changeDetectorRef: ChangeDetectorRef, popupModalService: PopupModalService, modalData?: IAutoDelegationModalData);
    ngOnInit(): void;
    ngAfterViewInit(): void;
    reject(): void;
    accept(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibAutoDelegationModalComponent, [null, null, { optional: true; }]>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibAutoDelegationModalComponent, "lib-auto-delegation-modal", never, { "countdown": { "alias": "countdown"; "required": false; }; "expandedBaseCard": { "alias": "expandedBaseCard"; "required": false; }; "data": { "alias": "data"; "required": false; }; "menuItems": { "alias": "menuItems"; "required": false; }; }, { "event": "event"; }, never, never, true, never>;
}
