import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import { FormBuilder, FormControl, FormGroup } from '@angular/forms';
import { LocationModel } from '../../../../model/location.model';
import { FallbackTranslatePipe } from '../../../../pipes/fallback-translate/fallback-translate.pipe';
import { BaseComponent } from '../../../base-component/base.component';
import { EditRecurringEventOptions } from '../../enums/recurring.edit.options.enum';
import { ICalendarAccount } from '../../interfaces/calendar.account.interface';
import { IEventForm } from '../../interfaces/event.form.interface';
import { IEventFormOutput } from '../../interfaces/event.form.output.interface';
import { IEvent } from '../../interfaces/event.interface';
import { IRecurringEvent } from '../../interfaces/recurring.event.interface';
import { IRecurringEventException } from '../../interfaces/recurring.exception.interface';
import { CalendarUtilsService } from '../../services/calendar-utils.service';
import * as i0 from "@angular/core";
export declare class LibEventFormComponent extends BaseComponent {
    private cdr;
    fb: FormBuilder;
    private calendarUtilService;
    private fallbackTranslatePipe;
    calendars: ICalendarAccount[];
    get event(): IEvent;
    set event(e: IEvent);
    get draggedEvent(): IEvent;
    set draggedEvent(e: IEvent);
    updateRecurringEvent: EventEmitter<IEventFormOutput>;
    updateDraggedEvent: EventEmitter<IEventFormOutput>;
    delete: EventEmitter<IEventFormOutput>;
    closeForm: EventEmitter<void>;
    submitForm: EventEmitter<IEventFormOutput>;
    editMode: boolean;
    editOptionsCtrl: FormControl<EditRecurringEventOptions>;
    modalTitle: string;
    recurringTypeChanged: boolean;
    cancelButtonTitle: string;
    submitButtonTitle: string;
    secondaryButtonTitle: string;
    openModal: boolean;
    showConfirm: boolean;
    openRecurringOptions: boolean;
    recurringOptions: IRecurringEvent[];
    eventStart: Date;
    form: FormGroup<IEventForm>;
    recurringException: IRecurringEventException;
    private initialFormValue;
    private eventTime;
    private _event;
    private _draggedEvent;
    private deleteConfirmed;
    private updatedEvent;
    constructor(cdr: ChangeDetectorRef, fb: FormBuilder, calendarUtilService: CalendarUtilsService, fallbackTranslatePipe: FallbackTranslatePipe);
    onDeleteConfirm(): void;
    onSubmitModal(): void;
    onModalSecondaryButtonClick(): void;
    saveEvent(): void;
    onLocationChange(event: LocationModel): void;
    resetModal(): void;
    private initializeEventForm;
    private buildForm;
    private watchFormFields;
    private handleAllDayEvents;
    private updateEvent;
    private allowSubmission;
    private submitFormEvent;
    private onEventChange;
    private onDragEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibEventFormComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibEventFormComponent, "lib-event-form", never, { "calendars": { "alias": "calendars"; "required": false; }; "event": { "alias": "event"; "required": false; }; "draggedEvent": { "alias": "draggedEvent"; "required": false; }; }, { "updateRecurringEvent": "updateRecurringEvent"; "updateDraggedEvent": "updateDraggedEvent"; "delete": "delete"; "closeForm": "closeForm"; "submitForm": "submitForm"; }, never, ["*"], false, never>;
}
