import { FormControl, FormGroup } from '@angular/forms';
import { LocationModel } from '../../../model/location.model';
import { EventTypes } from '../enums/event-type.enum';
import { RecurringTypes } from '../enums/recurring.type.enum';
export interface IEventForm {
    _id: FormControl<string>;
    accountId: FormControl<string>;
    type: FormControl<EventTypes>;
    email: FormControl<string>;
    title: FormControl<string>;
    allDay: FormControl<boolean>;
    startDate: FormControl<Date>;
    startTime: FormControl<Date>;
    endDate: FormControl<Date>;
    endTime: FormControl<Date>;
    note: FormControl<string>;
    location: FormControl<LocationModel>;
    address: FormControl<string>;
    recurringPattern: FormGroup<{
        type: FormControl<RecurringTypes>;
    }>;
}
