import { LocationModel } from '../../../model/location.model';
import { EventTypes } from '../enums/event-type.enum';
import { IRecurringPattern } from './recurring.pattern.interface';
export interface IEvent {
    _id?: string;
    title?: string;
    allDay?: boolean;
    startDate: Date;
    startTime: Date;
    endDate?: Date;
    recurringEndDate?: Date;
    recurringStartDate?: Date;
    endTime?: Date;
    note?: string;
    type?: EventTypes;
    email?: string;
    accountId?: string;
    timeZone?: string;
    location?: LocationModel;
    recurring?: boolean;
    exception?: boolean;
    recurringPattern?: IRecurringPattern;
    link?: string;
    recurringEventId?: string;
    recurringParentEventId?: string;
    updateAll?: boolean;
    updateAllFollowing?: boolean;
    etag?: string;
    recurringInstanceNo?: number;
    zIndex?: number;
    userId?: string;
    address?: string;
}
