import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit, TemplateRef } from '@angular/core';
import { Observable } from 'rxjs';
import { ISchedulerAction } from './interfaces/scheduler.action.interface';
import { ISchedulerEventDay } from './interfaces/scheduler.event.day.interface';
import { ISchedulerEvent } from './interfaces/scheduler.event.interface';
import * as i0 from "@angular/core";
export declare class LibSchedulerComponent implements OnInit, OnDestroy {
    private cdr;
    adsTemplate?: TemplateRef<HTMLElement>;
    loading$: Observable<boolean>;
    emptyMessage: string;
    displayBookedStatuses: boolean;
    displayEmptyDays: boolean;
    events$: Observable<ISchedulerEvent[]>;
    startDate: Date;
    endDate: Date;
    default: boolean;
    bookEvent: EventEmitter<ISchedulerAction>;
    removeSuggestion: EventEmitter<ISchedulerAction>;
    eventsDays: ISchedulerEventDay[];
    suggestedCount: number;
    bookedCount: number;
    private componentDestroyed$;
    private events;
    constructor(cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggleExpand(dayIndex: number, eventIndex: number): void;
    acceptSuggestion(dayIndex: number, eventIndex: number, suggestionIndex: number): void;
    cancelSuggestion(dayIndex: number, eventIndex: number, suggestionIndex: number): void;
    updateSuggestionsCounts(): void;
    private groupEventsByDay;
    private buildEvents;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibSchedulerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibSchedulerComponent, "lib-scheduler", never, { "adsTemplate": { "alias": "adsTemplate"; "required": false; }; "loading$": { "alias": "loading$"; "required": false; }; "emptyMessage": { "alias": "emptyMessage"; "required": false; }; "displayBookedStatuses": { "alias": "displayBookedStatuses"; "required": false; }; "displayEmptyDays": { "alias": "displayEmptyDays"; "required": false; }; "events$": { "alias": "events$"; "required": false; }; "startDate": { "alias": "startDate"; "required": false; }; "endDate": { "alias": "endDate"; "required": false; }; "default": { "alias": "default"; "required": false; }; }, { "bookEvent": "bookEvent"; "removeSuggestion": "removeSuggestion"; }, never, never, true, never>;
}
