import { Frequency } from 'rrule/dist/esm/types';
import { ICalendarAccount } from '../interfaces/calendar.account.interface';
import { IEvent } from '../interfaces/event.interface';
import { IEventTime } from '../interfaces/event.time.interface';
import { IRecurringEventException } from '../interfaces/recurring.exception.interface';
import * as i0 from "@angular/core";
export declare class CalendarUtilsService {
    private locale;
    constructor(locale: string);
    filterCalendarsEvents<T>(selectedCalendars: ICalendarAccount[], calendarEvents: T[]): T[];
    validCalendarEvent(event: IEvent): boolean;
    formatEventTime(start: Date, end: Date): {
        startTime: string;
        endTime: string;
    };
    isProviderEvent(event: Partial<IEvent>): boolean;
    isRecurringEvent(event: Partial<IEvent>): boolean;
    isEqualDates(startDate: string | Date, enDate: string | Date): boolean;
    isBeforeDate(startDate: string | Date, enDate: string | Date): boolean;
    isSameWeek(startDate: string | Date, enDate: string | Date): boolean;
    getUpdatedRecurringException(event: Partial<IEvent>): IRecurringEventException;
    getExceptionEvent(event: Partial<IEvent>, exceptions: IRecurringEventException[]): IRecurringEventException;
    isValidRecurringDate(event: IEvent, recurringDate: Date): boolean;
    getDeletedRecurringEvent(event: IEvent, recurringDate: Date): IRecurringEventException;
    generateRecurringDates(dtstart: Date, until: Date, freq: Frequency, interval?: number): Date[];
    isValidRecurringException(event: IEvent, exceptionEvent: IRecurringEventException): boolean;
    sortEvents<T>(calendarEvents: T[]): void;
    applyEventsIndex(): void;
    setEventTime(event: Partial<IEvent>): {
        start: Date;
        end: Date;
    };
    removeHtmlTags(html: string): string;
    prepareEventDates(eventData: IEvent): void;
    getEventTimes(eventData: Partial<IEvent>, recurringException?: IRecurringEventException, newEvent?: boolean): IEventTime;
    buildUpdatedEvent(event: IEvent, formValue: IEvent): IEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<CalendarUtilsService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<CalendarUtilsService>;
}
