import { AfterViewInit, ElementRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { FormControl } from '@angular/forms';
import 'emoji-picker-element';
import { EmojiPickerConfig } from '../../model/emoji-picker-config';
import { LibMessageModalComponent } from '../../shared/shared/message-modal/message-modal.component';
import { InputFieldComponent } from '../input-field/input-field.component';
import { IDateMessages } from './interfaces/date-messages.interface';
import { IMessage } from './interfaces/message.interface';
import * as i0 from "@angular/core";
export declare class ChatComponent implements OnInit, AfterViewInit, OnChanges, OnDestroy {
    default?: boolean;
    responseTime?: string;
    set inputValue(value: string);
    emojiPickerConfig: EmojiPickerConfig;
    includeGifMessage: boolean;
    includeTime: boolean;
    messages: IDateMessages[];
    maxLength: number;
    enableGifPicker: boolean;
    sendMessage: EventEmitter<IMessage>;
    getMessages: EventEmitter<boolean>;
    disabled: boolean;
    emojiPickerRef: ElementRef;
    scrollableContainer: ElementRef;
    chatInput: InputFieldComponent;
    private cdr;
    private elementRef;
    private popupModalService;
    private pendingMessage;
    private renderer;
    scrollThreshold: number;
    textControl: FormControl<string>;
    base64Image: string | null;
    emojiVisibility: boolean;
    gifVisibility: boolean;
    isAtStartChat: boolean;
    emojiPickerOpened: boolean;
    pos: string;
    throttle: number;
    distance: number;
    readonly ModalComponent: typeof LibMessageModalComponent;
    private documentClickListener;
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    onScrollChats(): void;
    handleScrollNewMessage(): void;
    onScrollMessages(event: Event): void;
    scrollToBottom(): void;
    onEmojiclick(event: CustomEvent): void;
    handleEmojiPickerClick(): void;
    handleGifPickerClick(): void;
    onGifClick(url: string): void;
    onSendMessageModal(): void;
    onSendText(): void;
    onSend(): void;
    onKeyDown(event: KeyboardEvent): void;
    private onBlurPickerSpace;
    private setupEmojiPickerClickListener;
    private removeEmojiPickerClickListener;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChatComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChatComponent, "lib-chat", never, { "default": { "alias": "default"; "required": false; }; "responseTime": { "alias": "responseTime"; "required": false; }; "inputValue": { "alias": "inputValue"; "required": false; }; "emojiPickerConfig": { "alias": "emojiPickerConfig"; "required": false; }; "includeGifMessage": { "alias": "includeGifMessage"; "required": false; }; "includeTime": { "alias": "includeTime"; "required": false; }; "messages": { "alias": "messages"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "enableGifPicker": { "alias": "enableGifPicker"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "sendMessage": "sendMessage"; "getMessages": "getMessages"; }, never, never, false, never>;
}
