import { AfterViewInit, ElementRef } from '@angular/core';
import { CircleVariable } from './enums/circle-variable.enum';
import { IPartialCircleProgressColors } from './interfaces/partial-circle-progress-colors.interface';
import * as i0 from "@angular/core";
export declare class CircleProgressComponent implements AfterViewInit {
    private el;
    width: string;
    height: string;
    prefix: string;
    suffix: string;
    value: number;
    max: number;
    imageUrl: string;
    type: string;
    variable: CircleVariable;
    hideProgress: boolean;
    imgObjectPosition: 'top' | 'bottom' | 'right' | 'left';
    readonly pathId: string;
    partialColors: IPartialCircleProgressColors;
    constructor(el: ElementRef);
    ngAfterViewInit(): void;
    private createCircle;
    private generatePathSamplePoints;
    private createQuadrilateralSegments;
    private constructJoinedLinePath;
    private computeLineIntersection;
    private calculatePerpendicularVector;
    static ɵfac: i0.ɵɵFactoryDeclaration<CircleProgressComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CircleProgressComponent, "lib-circle-progress", never, { "width": { "alias": "width"; "required": false; }; "height": { "alias": "height"; "required": false; }; "prefix": { "alias": "prefix"; "required": false; }; "suffix": { "alias": "suffix"; "required": false; }; "value": { "alias": "value"; "required": false; }; "max": { "alias": "max"; "required": false; }; "imageUrl": { "alias": "imageUrl"; "required": false; }; "type": { "alias": "type"; "required": false; }; "variable": { "alias": "variable"; "required": false; }; "hideProgress": { "alias": "hideProgress"; "required": false; }; "imgObjectPosition": { "alias": "imgObjectPosition"; "required": false; }; "partialColors": { "alias": "partialColors"; "required": false; }; }, {}, never, never, false, never>;
}
