import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ISchedulerAction } from '../calendar/scheduler/interfaces/scheduler.action.interface';
import { IMessage } from '../chat/interfaces/message.interface';
import { ILibClientMatchOverview } from '../client-match-overview/interfaces/client-match-overview.interface';
import { AlertStatusFields } from '../lib-client-dashboard/enums/alert-status-fields.enum';
import { MATCHER_STATUSES } from '../matcher-statuses/lookups/matcher-statuses.lookup';
import { ClientHomeComponent } from './enums/client-home-component.enum';
import { IHomeDashboardInputs } from './interfaces/home-dashboard-inputs.interface';
import * as i0 from "@angular/core";
export declare class LibClientHomeComponent implements OnInit, OnDestroy {
    private cdr;
    config: IHomeDashboardInputs;
    activeIndexChange: EventEmitter<number>;
    addMessage: EventEmitter<{
        message: IMessage;
        prospectId: string;
    }>;
    getMessages: EventEmitter<void>;
    bookEvent: EventEmitter<ISchedulerAction>;
    removeSuggestion: EventEmitter<ISchedulerAction>;
    handleAppearPopup: EventEmitter<AlertStatusFields>;
    alertStatusFields: typeof AlertStatusFields;
    components: typeof ClientHomeComponent;
    clientMatches: ILibClientMatchOverview[];
    activeChatHeadIndex: number;
    assetPaths: {
        traitVisual: string;
    };
    private componentDestroyed$;
    MATCHER_STATUSES: typeof MATCHER_STATUSES;
    readonly defaultNumberOfItems: any[];
    constructor(cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onActiveIndexChange(index: number): void;
    handleClientMatch(match: ILibClientMatchOverview, index: number): void;
    updateSpiderChart(): void;
    addMessageEmit(event: any, prospectId: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibClientHomeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibClientHomeComponent, "lib-client-home", never, { "config": { "alias": "config"; "required": false; }; }, { "activeIndexChange": "activeIndexChange"; "addMessage": "addMessage"; "getMessages": "getMessages"; "bookEvent": "bookEvent"; "removeSuggestion": "removeSuggestion"; "handleAppearPopup": "handleAppearPopup"; }, never, never, true, never>;
}
