import { TemplateRef } from '@angular/core';
import { Observable } from 'rxjs';
import { IAgendaEvent } from '../../calendar/agenda/interfaces/agenda.event.inetrface';
import { ISchedulerEvent } from '../../calendar/scheduler/interfaces/scheduler.event.interface';
import { IDateMessages } from '../../chat/interfaces/date-messages.interface';
import { ILibClientMatchOverview } from '../../client-match-overview/interfaces/client-match-overview.interface';
import { AlertStatusFields } from '../../lib-client-dashboard/enums/alert-status-fields.enum';
import { ILoadingFields } from '../../lib-compose-matcher-dash/interfaces/loading-fields.interface';
import { ISpiderChartConfig } from '../../spider-chart/interfaces/config.interface';
import { IPolygonColor } from '../../spider-chart/interfaces/polygon-color.interface';
import { ClientHomeComponent } from '../enums/client-home-component.enum';
export interface IHomeDashboardInputs {
    loading?: ILoadingFields;
    schedulerAdsTemplate?: TemplateRef<HTMLElement>;
    schedulerTabAdsTemplate?: TemplateRef<HTMLElement>;
    chatAdsTemplate?: TemplateRef<HTMLElement>;
    chatTabAdsTemplate?: TemplateRef<HTMLElement>;
    traitVisualAdsTemplate?: TemplateRef<HTMLElement>;
    default?: boolean;
    component: ClientHomeComponent;
    activeIndex?: number;
    slideContentMaxHeight?: string;
    clientMatches$?: Observable<ILibClientMatchOverview[]>;
    events?: IAgendaEvent[];
    chats$?: Observable<{
        messages: IDateMessages[];
        prospectId: string;
    }[]>;
    polygonColors?: IPolygonColor[];
    spiderConfig?: ISpiderChartConfig;
    schedulers$?: Observable<{
        events$: Observable<ISchedulerEvent[]>;
    }[]>;
    loading$?: Observable<boolean>;
    bottomThumbs?: boolean;
    includeTime?: boolean;
    includeGifMessage?: boolean;
    maxLength?: number;
    startDate?: Date;
    endDate?: Date;
    emptyMessage?: string;
    displayBookedStatuses?: boolean;
    displayEmptyDays?: boolean;
    chatInputValue?: string;
    hideStatuses?: boolean;
    alertStatus: Partial<Record<AlertStatusFields, boolean>>;
}
