import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { OnInit } from '@angular/core';
import { MatDialogRef } from '@angular/material/dialog';
import { TooltipDirectionPreference } from '../../enums/tooltip-direction-preference';
import { GridColumn } from '../../model/grid-column';
import * as i0 from "@angular/core";
interface GridColumnGroup {
    groupName: string;
    columns: GridColumn[];
    groupOrder?: number;
}
export type ColumnManagementData = {
    columns: GridColumn[];
    filteredColumns: GridColumn[];
    groupByField?: GridColumn;
    maxPinnedColumns?: number;
};
export declare class ColumnManagementModalComponent implements OnInit {
    dialogRef: MatDialogRef<ColumnManagementModalComponent>;
    data: ColumnManagementData;
    leftColumnGroups: GridColumnGroup[];
    originalLeftColumnGroups: GridColumnGroup[];
    rightColumns: GridColumn[];
    originalRightColumns: GridColumn[];
    groupByField: GridColumn;
    toggleMap: {};
    queryString: string;
    tooltipDirection: TooltipDirectionPreference;
    private maxPinnedColumns;
    constructor(dialogRef: MatDialogRef<ColumnManagementModalComponent>, data: ColumnManagementData);
    private createColumnGroups;
    ngOnInit(): void;
    handleClickCancel(): void;
    handleClickSave(): void;
    handleSearchStringChange(query: string): void;
    handleCheck(column: GridColumn): void;
    drop(event: CdkDragDrop<string[]>): void;
    handleUnpin(column: GridColumn): void;
    handleUngroup(): void;
    private filterGridColumns;
    static ɵfac: i0.ɵɵFactoryDeclaration<ColumnManagementModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ColumnManagementModalComponent, "lib-column-management-modal", never, {}, {}, never, never, false, never>;
}
export {};
