import { AfterViewInit, ElementRef, OnDestroy } from '@angular/core';
import { DrawingMode } from './interfaces/drawing-mode.enum';
import * as i0 from "@angular/core";
export declare class FeedbackScreenshotComponent implements AfterViewInit, OnDestroy {
    canvasDraw: ElementRef<HTMLCanvasElement>;
    canvasBase: ElementRef<HTMLCanvasElement>;
    screenshot: string;
    eraserSize: number;
    drawingMode: DrawingMode;
    private lineStart;
    private feedbackService;
    readonly window: Window;
    readonly document: Document;
    hideToolbar: boolean;
    isDrawingLine: boolean;
    isDrawingFree: boolean;
    isErasing: boolean;
    defaultColor: string;
    sliderColorValue: number;
    private ctxDraw;
    private ctxBase;
    private componentdestroyed$;
    private strokes;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    private setupCanvasSizes;
    private drawBaseImage;
    enableFreeDraw(): void;
    enableErasing(): void;
    enableLineMode(): void;
    startLine(e: PointerEvent): void;
    drawLine(e: PointerEvent): void;
    endLine(e: PointerEvent): void;
    drawFree(e: PointerEvent): void;
    stopDrawingFree(): void;
    startDrawingFree(e: PointerEvent): void;
    private performErase;
    startErase(e: PointerEvent): void;
    erase(e: PointerEvent): void;
    stopErase(): void;
    private getEventCoords;
    handleColorSelected(res: {
        current: string;
        value: number;
    }): void;
    undoLastStroke(): void;
    done(): void;
    cancel(): void;
    private exportCombinedCanvas;
    private redrawCanvas;
    static ɵfac: i0.ɵɵFactoryDeclaration<FeedbackScreenshotComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FeedbackScreenshotComponent, "lib-feedback-screenshot", never, { "screenshot": { "alias": "screenshot"; "required": false; }; "eraserSize": { "alias": "eraserSize"; "required": false; }; }, {}, never, never, false, never>;
}
