import { Platform } from '@ionic/angular';
import { Observable } from 'rxjs';
import * as i0 from "@angular/core";
export declare class AccelerometerService {
    private platform;
    private readonly SHAKE_THRESHOLD;
    private accelHandler;
    private lastX;
    private lastY;
    private lastZ;
    private moveCounter;
    private isInitialized;
    private _onShake$;
    onShake$: Observable<boolean>;
    constructor(platform: Platform);
    /**
     * method to emit events from the subject
     */
    emitShakeEvent(value: boolean): void;
    /**
     * method to complete the subject when it's not needed
     */
    completeShake(): void;
    /**
     * Requests permissions to detect device motion events
     */
    requestPermissionAccelerometer(): Observable<void>;
    /**
     * Initializes the accelerometer plugin
     */
    initAccelerometer(): Observable<void>;
    /**
     * Stop the acceleration listener
     */
    stopAcceleration(): Observable<void>;
    private resetState;
    /**
     * Detects device shake and fires onShake event
     * @param event
     * @private
     */
    private detectShake;
    static ɵfac: i0.ɵɵFactoryDeclaration<AccelerometerService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<AccelerometerService>;
}
