import { Subject } from 'rxjs';
import { IStroke } from '../feedback-screenshot/interfaces/stroke.interface';
import { IFeedbackData, ModalCloseResult } from '../interfaces';
import * as i0 from "@angular/core";
export declare class FeedbackService {
    private _screenshotOriginal$;
    screenshotOriginal$: import("rxjs").Observable<string>;
    private _screenshotEdit$;
    screenshotEdit$: import("rxjs").Observable<string>;
    private _markupScreenshot$;
    markUpScreenshot$: import("rxjs").Observable<boolean>;
    strokes: IStroke[];
    readonly onScreenshotCanceled$: Subject<boolean>;
    readonly onFeedbackSubmit: Subject<IFeedbackData>;
    onModalClose: Subject<ModalCloseResult>;
    private zone;
    /**
     * Announce that the user wants to markup the last not-edited screenshot
     */
    changeMarkUpStatus(status: boolean): void;
    /**
     * Take a screenshot of a DOM element
     */
    takeOriginalScreenshot(): Promise<void>;
    /**
     * Gets the screenshot edited by the user
     * @param dataURI
     */
    takeEditScreenshot(dataURI: string): void;
    setShakeEnabled(enabled: boolean): void;
    shakeEnabled(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<FeedbackService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<FeedbackService>;
}
