import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnDestroy } from '@angular/core';
import { UntypedFormGroup } from '@angular/forms';
import { Observable } from 'rxjs';
import { FormFieldType } from '../../enums/form-field-type';
import { FormGenStyle } from '../../enums/form-gen-style';
import { FormFieldStructure } from '../../model/form-generator/form-field-structure';
import { FormGroupExpanderChange } from '../../model/form-generator/form-group-expander-change';
import { FormSectionStructure } from '../../model/form-generator/form-section-structure';
import { FormSectionVariables } from '../../model/form-generator/form-section-variables';
import { FormStructure } from '../../model/form-generator/form-stucture';
import { FormVariables } from '../../model/form-generator/form-variables';
import * as i0 from "@angular/core";
export declare class FormGeneratorComponent implements OnDestroy, AfterViewInit {
    private changeDetectorRef;
    FormFieldType: typeof FormFieldType;
    FormGenStyle: typeof FormGenStyle;
    formLoaded: boolean;
    formInfo: FormVariables;
    set formStructure(structure: FormStructure);
    set fieldChanges(obsv: Observable<{
        groupName: string;
        structure: FormFieldStructure;
    }[]>);
    set groupChanges(obsv: Observable<FormSectionStructure[]>);
    set formStyle(style: FormGenStyle);
    dateFormat: string;
    currencySymbol: string;
    hideCents: boolean;
    useTooltips: boolean;
    private fieldChangeObsvSwitched;
    private groupChangeObsvSwitched;
    private componentDestroyed$;
    formGroupUpdate: EventEmitter<UntypedFormGroup>;
    formGroupExpanderChanged: EventEmitter<FormGroupExpanderChange>;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnDestroy(): void;
    ngAfterViewInit(): void;
    /**
     *
     * @param structure - Form structure to construct form from
     *
     * A method to take a structure and convert it to the appropriate variables for the UI.
     */
    private loadStructureInfo;
    /**
     *
     * @param groupName - name of group with field - NOTE: unless it was specifically
     * set, groupId will be the same as groupName
     * @param structure - new strucutre to implement
     *
     *
     */
    private updateFieldInfo;
    private updateGroupInfo;
    handleGroupClosed(groupInfo: FormSectionVariables): void;
    handleGroupOpened(groupInfo: FormSectionVariables): void;
    trackGroup(index: number, group: FormSectionVariables): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormGeneratorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormGeneratorComponent, "lib-form-generator", never, { "formStructure": { "alias": "formStructure"; "required": false; }; "fieldChanges": { "alias": "fieldChanges"; "required": false; }; "groupChanges": { "alias": "groupChanges"; "required": false; }; "formStyle": { "alias": "formStyle"; "required": false; }; "dateFormat": { "alias": "dateFormat"; "required": false; }; "currencySymbol": { "alias": "currencySymbol"; "required": false; }; "hideCents": { "alias": "hideCents"; "required": false; }; "useTooltips": { "alias": "useTooltips"; "required": false; }; }, { "formGroupUpdate": "formGroupUpdate"; "formGroupExpanderChanged": "formGroupExpanderChanged"; }, never, never, false, never>;
}
