import { FormFieldType } from '../../enums/form-field-type';
import { FormGenStyle } from '../../enums/form-gen-style';
import { StatusTypes } from '../../enums/status-types';
import { TooltipDirectionPreference } from '../../enums/tooltip-direction-preference';
import { FormFieldVariables } from '../../model/form-generator/form-field-variables';
import { FormMultifieldConfig } from '../../model/form-generator/form-multifield-config';
import { FormSectionVariables } from '../../model/form-generator/form-section-variables';
import { ItemSummary } from '../../model/item-summary';
import { SelectOption } from '../../model/select-option';
import * as i0 from "@angular/core";
export declare class FormGroupComponent {
    StatusTypes: typeof StatusTypes;
    FormFieldType: typeof FormFieldType;
    FormGenStyle: typeof FormGenStyle;
    DirectionPreference: typeof TooltipDirectionPreference;
    groupInfo: FormSectionVariables;
    dateFormat: string;
    currencySymbol: string;
    hideCents: boolean;
    useTooltips: boolean;
    formStyle: FormGenStyle;
    handleTypeaheadSelected(fieldInfo: FormFieldVariables, selected: ItemSummary<any>): void;
    handleTypeaheadDeselected(fieldInfo: FormFieldVariables): void;
    handleTypeaheadInputChange(fieldInfo: FormFieldVariables, value: string): void;
    handleImageUploaded(fieldInfo: FormFieldVariables, data: any): void;
    handleImageDeselected(fieldInfo: FormFieldVariables): void;
    handleMultiselectChange(fieldInfo: FormFieldVariables, data: SelectOption<any>[]): void;
    handleFooterClicked(): void;
    handleListChange(fieldInfo: FormFieldVariables, list: string[]): void;
    trackField(index: number, field: FormFieldVariables): string;
    multifieldDescriptionTextList(mainDescriptionText: string, multifieldConfig: FormMultifieldConfig): any[];
    static ɵfac: i0.ɵɵFactoryDeclaration<FormGroupComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormGroupComponent, "lib-form-group", never, { "groupInfo": { "alias": "groupInfo"; "required": false; }; "dateFormat": { "alias": "dateFormat"; "required": false; }; "currencySymbol": { "alias": "currencySymbol"; "required": false; }; "hideCents": { "alias": "hideCents"; "required": false; }; "useTooltips": { "alias": "useTooltips"; "required": false; }; "formStyle": { "alias": "formStyle"; "required": false; }; }, {}, never, never, false, never>;
}
