import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { FilterDataRequest } from '../../../model/filter-data-request';
import { GridFilterConfig } from '../../../model/grid-filter-config';
import { SelectOption } from '../../../model/select-option';
import { GridFilterService } from '../services/grid-filter.service';
import * as i0 from "@angular/core";
export declare class FilterBarComponent implements OnInit, OnDestroy {
    private readonly dialog;
    private readonly changeDetectorRef;
    private readonly gridFilterService;
    applyFilter: EventEmitter<any>;
    searchStringChange: EventEmitter<string>;
    dateFormat: string;
    gridFilterConfig: GridFilterConfig;
    userFiltersList: FilterDataRequest[];
    standardFilters: SelectOption<any>[];
    savedFilters: SelectOption<any>[];
    showAllFilters: boolean;
    readonly maxFilterCount = 3;
    filters: SelectOption<number>[];
    activeFilter: FilterDataRequest;
    private componentDestroyed$;
    private filterOptions;
    private filterOperators;
    private filterValues;
    constructor(dialog: MatDialog, changeDetectorRef: ChangeDetectorRef, gridFilterService: GridFilterService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    removeFilter(filter: SelectOption<number>): void;
    removeAllFilters(): void;
    toggleShowAllFilters(): void;
    handleApplyFilter(filter: FilterDataRequest): void;
    handleApplyStandardFilter(standardFilterValue: number): void;
    handleOpenFilterModal(): void;
    handleManageFilterModal(): void;
    updateUserFilters(userFilter: FilterDataRequest): void;
    private processFilterDataRequest;
    private processUserFilters;
    onSearchStringChange(query: string): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<FilterBarComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FilterBarComponent, "lib-filter-bar", never, {}, { "applyFilter": "applyFilter"; "searchStringChange": "searchStringChange"; }, never, never, false, never>;
}
