import { ChangeDetectorRef, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { AbstractControl, UntypedFormArray, UntypedFormBuilder, UntypedFormControl, UntypedFormGroup } from '@angular/forms';
import { MatDialog, MatDialogRef } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import { DomSanitizer } from '@angular/platform-browser';
import { FilterType } from '../../../enums/filter-type';
import { FilterDataRequest } from '../../../model/filter-data-request';
import { ItemActionHandler } from '../../../model/item-action-handler';
import { SelectOption } from '../../../model/select-option';
import { UserFilter } from '../../../model/user-filter';
import { FormFieldComponent } from '../../form-field/form-field.component';
import { GridFilterService } from '../services/grid-filter.service';
import * as i0 from "@angular/core";
export declare class GridFiltersModalComponent implements OnInit, OnDestroy {
    private _formBuilder;
    private dialogRef;
    private dialog;
    private domSanitizer;
    private gridFilterService;
    private changeDetectorRef;
    modalData: FilterDataRequest;
    saveFilterRadioButtonRef: ElementRef<FormFieldComponent>;
    mode: 'edit' | 'create';
    formGroup: UntypedFormGroup;
    submitted: boolean;
    dateFormat: string;
    applyFilterText: 'Apply' | 'Save' | 'Apply & Save';
    options: any[];
    operators: any[];
    values: any[];
    readonly FilterTypeEnum: typeof FilterType;
    headerIconTray: ItemActionHandler[];
    enableClearAll: boolean;
    formGroupValueChanged: boolean;
    existingFilterProjectID: string;
    invalidPatternMessage: string;
    userFiltersList: FilterDataRequest[];
    activeUserFilter: FilterDataRequest;
    filterDialogComponentRect: {
        width: number;
        height: number;
    };
    getFiltersOptions: (backendQueryUrl: string, searchString: string, options: any) => Observable<any>;
    private valueForRadio;
    deselectableRadioButtonFormControl: UntypedFormControl;
    radioCheckbox: SelectOption<string>;
    private formArrayValueChanged$;
    private componentDestroyed$;
    private retryAddingUserFilter;
    get userFiltersFormControl(): UntypedFormArray;
    get nameFormControl(): AbstractControl<any, any>;
    onResize(event: Event): void;
    constructor(_formBuilder: UntypedFormBuilder, dialogRef: MatDialogRef<GridFiltersModalComponent>, dialog: MatDialog, domSanitizer: DomSanitizer, gridFilterService: GridFilterService, changeDetectorRef: ChangeDetectorRef, modalData: FilterDataRequest);
    private updateComponentRect;
    ngOnInit(): void;
    ngOnDestroy(): void;
    private initListeners;
    private patchFormGroupValues;
    private watchForValueChanges;
    private createFormGroup;
    private transformFilter;
    private saveFilterValue;
    private saveAndReplaceFilterValue;
    /**
     * Closes the dialog
     */
    handleClickCancel(): void;
    /**
     * Closes the dialog and returns user filter object to the dialog owner.
     */
    handleClickSave(): void;
    /**
     * Closes the dialog and returns user filter object to the dialog owner.
     */
    handleClickSaveApply(): void;
    addUserFilter(userFilterCriteria?: UserFilter): any;
    handleRowDeleted(rowIndex: number, event: any): void;
    handleClearAll(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridFiltersModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<GridFiltersModalComponent, "lib-grid-filters-modal", never, {}, {}, never, never, false, never>;
}
