import { ChangeDetectorRef, OnChanges, OnInit, SimpleChanges } from '@angular/core';
import { UntypedFormControl } from '@angular/forms';
import { Observable } from 'rxjs';
import { FilterOperator } from '../../../model/filter-operator';
import { SelectOption } from '../../../model/select-option';
import { GridService } from '../../grid/grid.service';
import { SelectFilterGridMiscellaneousData } from './select-filter.interface';
import * as i0 from "@angular/core";
export declare class SelectFilterComponent implements OnInit, OnChanges {
    private changeDetectorRef;
    private gridService;
    select: any;
    submitted: boolean;
    placeholder: string;
    multiple: boolean;
    operator: string;
    disabled: boolean;
    showSelectMessage: boolean;
    formFieldControl: UntypedFormControl;
    options: FilterOperator<any>[];
    backendQueryUrl: string;
    getFiltersOptions: (backendQueryUrl: string, value: string, options: any) => Observable<any[]>;
    required: boolean;
    focused: boolean;
    filteredOptions: SelectOption<any>[];
    readonly thresholdOptionValue = 10;
    selectFilterGridMiscellaneousData: SelectFilterGridMiscellaneousData;
    private searchString;
    private debouncer$;
    private componentDestroyed$;
    constructor(changeDetectorRef: ChangeDetectorRef, gridService: GridService);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    private transformValue;
    filterChange(searchString: string, emitFilterChange?: boolean): void;
    handleFocus(): void;
    handleFocusOut(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectFilterComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectFilterComponent, "lib-select-filter", never, { "submitted": { "alias": "submitted"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "multiple": { "alias": "multiple"; "required": false; }; "operator": { "alias": "operator"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "showSelectMessage": { "alias": "showSelectMessage"; "required": false; }; "formFieldControl": { "alias": "formFieldControl"; "required": false; }; "options": { "alias": "options"; "required": false; }; "backendQueryUrl": { "alias": "backendQueryUrl"; "required": false; }; "getFiltersOptions": { "alias": "getFiltersOptions"; "required": false; }; }, {}, never, never, false, never>;
}
