import { Observable } from 'rxjs';
import { FilterDataRequest } from '../../../model/filter-data-request';
import { FilterDefinition } from '../../../model/filter-definition';
import { GridFilterConfig } from '../../../model/grid-filter-config';
import * as i0 from "@angular/core";
export declare class GridFilterService {
    gridFilterConfig: GridFilterConfig;
    userFiltersList: FilterDataRequest[];
    savedFiltersList: FilterDataRequest[];
    dateFormat: string;
    filterDefinitions: FilterDefinition[];
    standardFilters: FilterDataRequest[];
    options: any[];
    operators: any[];
    values: any[];
    private _activeFilterIndex;
    private gridFiltersSubject;
    private gridFilterDefinitionsSubject;
    private activeFilterChanged;
    private currencyDisplaySymbolSubject;
    get gridFilters(): Observable<FilterDataRequest[]>;
    get gridFilterDefinitions(): Observable<FilterDefinition[]>;
    get activeFilter(): Observable<FilterDataRequest>;
    get currencyDisplaySymbol(): Observable<string>;
    applyUserFilter(activeFilter: any, standardFilter?: boolean): void;
    getUserFilters(): void;
    updateAllFilters(userFiltersList: Array<FilterDataRequest>): void;
    getGridFilterDefinations(): void;
    createUpdateUserFilter(userFilter: FilterDataRequest, applyOnly?: boolean): Observable<any>;
    deleteUserFilter(filterIndex: number): void;
    setCurrencyDisplaySymbol(currencyDisplaySymbol: string): void;
    private getListSortedByMostAccurateMatch;
    getFiltersOptions(backendQueryUrl: string, searchString: string): Observable<any>;
    getFilterOptionData(backendQueryUrl: string, value: string): Observable<any>;
    processFilterDefinitions(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<GridFilterService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<GridFilterService>;
}
