import { EventEmitter } from '@angular/core';
import { Subject } from 'rxjs';
import { FilterDataRequest } from '../../model/filter-data-request';
import { GridRow } from '../../model/grid-row';
import * as i0 from "@angular/core";
export declare class ToolbarComponent<T = unknown> {
    enableCreate: boolean;
    enableRefresh: boolean;
    enableTrash: boolean;
    enableSelection: boolean;
    enableGridFilters: boolean;
    isEditInProgress: boolean;
    rowsPerPage: number;
    selectAllConfirmMsg: string;
    selectAllConfirmedMsg: string;
    selectAllExceptSomeRecordsConfirmedMsg: string;
    clearSelectionMsg: string;
    totalRecords: number;
    excludedRows: (string | number)[];
    selectAllConfirmButtonLabel: string;
    selectedRows: GridRow<T>[];
    selectAllPagesConfirmed: boolean;
    createClicked: EventEmitter<boolean>;
    refreshData: EventEmitter<boolean>;
    showTrash: EventEmitter<boolean>;
    userFilter: EventEmitter<FilterDataRequest>;
    selectAllPages: EventEmitter<boolean>;
    searchStringSubject: Subject<string>;
    private trashSelected;
    emitRefreshEvent(): void;
    emitCreateEvent(): void;
    emitTrashEvent(): void;
    handleSearchStringChange(query: string): void;
    handleApplyFilter(userFilter: FilterDataRequest): void;
    onSelectAllPages(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToolbarComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToolbarComponent<any>, "lib-grid-toolbar", never, { "enableCreate": { "alias": "enableCreate"; "required": false; }; "enableRefresh": { "alias": "enableRefresh"; "required": false; }; "enableTrash": { "alias": "enableTrash"; "required": false; }; "enableSelection": { "alias": "enableSelection"; "required": false; }; "enableGridFilters": { "alias": "enableGridFilters"; "required": false; }; "isEditInProgress": { "alias": "isEditInProgress"; "required": false; }; "rowsPerPage": { "alias": "rowsPerPage"; "required": false; }; "selectAllConfirmMsg": { "alias": "selectAllConfirmMsg"; "required": false; }; "selectAllConfirmedMsg": { "alias": "selectAllConfirmedMsg"; "required": false; }; "selectAllExceptSomeRecordsConfirmedMsg": { "alias": "selectAllExceptSomeRecordsConfirmedMsg"; "required": false; }; "clearSelectionMsg": { "alias": "clearSelectionMsg"; "required": false; }; "totalRecords": { "alias": "totalRecords"; "required": false; }; "excludedRows": { "alias": "excludedRows"; "required": false; }; "selectAllConfirmButtonLabel": { "alias": "selectAllConfirmButtonLabel"; "required": false; }; "selectedRows": { "alias": "selectedRows"; "required": false; }; "selectAllPagesConfirmed": { "alias": "selectAllPagesConfirmed"; "required": false; }; }, { "createClicked": "createClicked"; "refreshData": "refreshData"; "showTrash": "showTrash"; "userFilter": "userFilter"; "selectAllPages": "selectAllPages"; "searchStringSubject": "searchStringSubject"; }, never, never, false, never>;
}
