import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { NgxImageCompressService } from 'ngx-image-compress';
import { CropperPosition, ImageCroppedEvent } from 'ngx-image-cropper';
import { Observable } from 'rxjs';
import { CroppedImageModel, ImageCropperModel } from '../../model/image-cropper.models';
import { ImageModel } from '../../model/image-model';
import { PopupModalService } from '../modal/popup-modal/popup-modal.service';
import * as i0 from "@angular/core";
declare enum ImageUploadActions {
    firstVisit = 0,
    revisit = 1,
    posRetention = 2
}
export declare class ImageUploadModalComponent implements OnInit {
    private popupModalService;
    private imageCompress;
    private cdr;
    enableFaceCheck: boolean;
    enableNsfwCheck: boolean;
    cropped: EventEmitter<CroppedImageModel[]>;
    faceChecked: EventEmitter<CroppedImageModel[]>;
    sizeChecked: EventEmitter<CroppedImageModel[]>;
    selectedImageIndex: number;
    currImageIndex: number;
    selectedImageBase64: string;
    croppedImages: CroppedImageModel[];
    aspectRatio: number;
    allImagesCropped: boolean;
    allImagesValid: boolean;
    showCropper: boolean;
    cropperLoaded: boolean;
    fullImageData: ImageModel[];
    imageAttributeMap: boolean[];
    faceCheckMap: boolean[];
    nsfwCheckMap: boolean[];
    faceChecker: (image: string) => Observable<boolean>;
    nsfwChecker: (image: string) => Observable<boolean>;
    maxNumOfImages: number;
    title: string;
    currentCroppedCoords: CropperPosition;
    selectedCropCoords: CropperPosition;
    validating: boolean;
    action: ImageUploadActions;
    private readonly twoMB;
    private imageCropperdata;
    imageDeactivationToggleIcon: string;
    constructor(data: ImageCropperModel, popupModalService: PopupModalService, imageCompress: NgxImageCompressService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    onClose(): void;
    /**
     * handle image cropped event
     * @param event
     */
    imageCropped(event: ImageCroppedEvent): void;
    private doNsfwAndFaceCheck;
    updateValidationResult(invalidity: boolean): void;
    /**
     * on cropper ready
     */
    cropperReady(): void;
    /**
     * on image Loaded
     */
    imageLoaded(): void;
    /**
     * select image to display in the image cropper
     * @param index
     */
    selectImg(index: number): void;
    /**
     * on click continue || finish button
     */
    stepNextImage(): void;
    stepPreviousImage(): void;
    deactivateImage(): void;
    invalidateAllImages(): void;
    complete(): void;
    private imageSizeValidation;
    private imageNameValidation;
    private faceValidation;
    private nsfwValidation;
    private isPassedCheck;
    private checkAllImagesValid;
    /**
     * initialize the image cropper
     * @param data
     * @private
     */
    private intImagesCropper;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageUploadModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageUploadModalComponent, "lib-image-upload-modal", never, { "enableFaceCheck": { "alias": "enableFaceCheck"; "required": false; }; "enableNsfwCheck": { "alias": "enableNsfwCheck"; "required": false; }; }, { "cropped": "cropped"; "faceChecked": "faceChecked"; "sizeChecked": "sizeChecked"; }, never, never, false, never>;
}
export {};
