import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Subject } from 'rxjs';
import { ItemSummary } from '../../model/item-summary';
import * as i0 from "@angular/core";
export declare class InfoCardListComponent implements OnInit, OnDestroy {
    private changeDetectorRef;
    checkable: boolean;
    defaultCheckedValue: boolean;
    scrollable: boolean;
    filterable: boolean;
    selectable: boolean;
    set maxCount(value: number);
    get maxCount(): number;
    set itemList(value: ItemSummary<any>[]);
    get itemList(): ItemSummary<any>[];
    itemType: string;
    checkedChange: EventEmitter<{
        item: ItemSummary<any>;
        checked: boolean;
    }>;
    itemSelected: EventEmitter<ItemSummary<any>>;
    filterStringSubject: Subject<string>;
    private componentDestroyed$;
    private _maxCount;
    private _itemList;
    displayList: ItemSummary<any>[];
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     *
     * Indicates that the user has changed the filter value
     *
     * @param filterValue - The new filter value
     */
    filterChange(filterValue: string): void;
    /**
     *
     * Emits an event indicating that the checkbox in one of the InfoCards in the
     * list has been checked or unchecked
     *
     * @param event - Contains the ItemSummary corresponding to the checked/unchecked InfoCard,
     * and a boolean indicating the current state of the checkbox
     */
    handleCheckedValueChange(event: {
        item: ItemSummary<any>;
        checked: boolean;
    }): void;
    /**
     *
     * Emits an event indicating that on of the InfoCards has been selected
     *
     * @param item - The ItemSummary corresponding to the selected InfoCard
     */
    handleItemSelected(item: ItemSummary<any>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InfoCardListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InfoCardListComponent, "lib-info-card-list", never, { "checkable": { "alias": "checkable"; "required": false; }; "defaultCheckedValue": { "alias": "defaultCheckedValue"; "required": false; }; "scrollable": { "alias": "scrollable"; "required": false; }; "filterable": { "alias": "filterable"; "required": false; }; "selectable": { "alias": "selectable"; "required": false; }; "maxCount": { "alias": "maxCount"; "required": false; }; "itemList": { "alias": "itemList"; "required": false; }; "itemType": { "alias": "itemType"; "required": false; }; }, { "checkedChange": "checkedChange"; "itemSelected": "itemSelected"; }, never, never, false, never>;
}
