import { EventEmitter } from '@angular/core';
import { ItemInfoLine } from '../../model/item-info-line';
import { ItemSummary } from '../../model/item-summary';
import * as i0 from "@angular/core";
export declare class InfoCardComponent {
    item: ItemSummary<any>;
    checkable: boolean;
    checked: boolean;
    selectable: boolean;
    checkedChange: EventEmitter<{
        item: ItemSummary<any>;
        checked: boolean;
    }>;
    selected: EventEmitter<ItemSummary<any>>;
    /**
     *
     * Emits an event indicating that the InfoCard was clicked.
     */
    selectItem(): void;
    /**
     *
     * Calls the the ItemSummary's header function
     */
    selectHeader(): void;
    /**
     *
     * Calls the the ItemSummary's header function subheader function for the given subheader
     */
    selectSubheader(subheader: ItemInfoLine): void;
    /**
     *
     * Calls the the ItemSummary's header function detail function for the given detail
     */
    selectDetail(detail: ItemInfoLine): void;
    /**
     *
     * Calls the the ItemSummary's action handler function
     */
    handleAction(action: (arg: ItemSummary<any>) => any): void;
    /**
     *
     * Emits an event indicating that the checkbox has been checked or unchecked
     *
     * @param event - The Angular Material event indicating the checked state of the checkbox
     */
    handleCheckedValueChange(event: boolean): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InfoCardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InfoCardComponent, "lib-info-card", never, { "item": { "alias": "item"; "required": false; }; "checkable": { "alias": "checkable"; "required": false; }; "checked": { "alias": "checked"; "required": false; }; "selectable": { "alias": "selectable"; "required": false; }; }, { "checkedChange": "checkedChange"; "selected": "selected"; }, never, never, false, never>;
}
