import { ElementRef, EventEmitter, TemplateRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { Calendar, CalendarTypeView } from 'primeng/calendar';
import * as i0 from "@angular/core";
export declare class InputDateFieldComponent implements ControlValueAccessor {
    label: string;
    defaultDate: Date;
    maxDate: Date;
    minDate: Date;
    showTime: boolean;
    hieActions: boolean;
    readonly: boolean;
    defaultDayHighlight: boolean;
    showIcon: boolean;
    timeOnly: boolean;
    view: CalendarTypeView;
    disabled: boolean;
    dateFormat: string;
    placeholder: string;
    appendTo: string | TemplateRef<undefined> | ElementRef;
    stepMinute: number;
    mask: string;
    styleClass: string;
    timeFormat: string;
    focusEvent: EventEmitter<boolean>;
    calendar: Calendar;
    value: string | Date;
    focused: boolean;
    private onTouched;
    private onChange;
    writeValue(value: string): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    change(event: Date): void;
    onModelChange(value: string): void;
    onBlurDate(): void;
    onFocusDate(): void;
    openCalenderPicker(): void;
    selectPicker(): void;
    clearPicker(): void;
    private highlightDefaultDay;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputDateFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputDateFieldComponent, "lib-input-date-field", never, { "label": { "alias": "label"; "required": false; }; "defaultDate": { "alias": "defaultDate"; "required": false; }; "maxDate": { "alias": "maxDate"; "required": false; }; "minDate": { "alias": "minDate"; "required": false; }; "showTime": { "alias": "showTime"; "required": false; }; "hieActions": { "alias": "hieActions"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "defaultDayHighlight": { "alias": "defaultDayHighlight"; "required": false; }; "showIcon": { "alias": "showIcon"; "required": false; }; "timeOnly": { "alias": "timeOnly"; "required": false; }; "view": { "alias": "view"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "dateFormat": { "alias": "dateFormat"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "appendTo": { "alias": "appendTo"; "required": false; }; "stepMinute": { "alias": "stepMinute"; "required": false; }; "mask": { "alias": "mask"; "required": false; }; "styleClass": { "alias": "styleClass"; "required": false; }; "timeFormat": { "alias": "timeFormat"; "required": false; }; }, { "focusEvent": "focusEvent"; }, never, never, false, never>;
}
