import * as i0 from "@angular/core";
export declare class InputFieldCardService {
    private maskCharacters;
    /**
     * validates using Luhrs algorithm
     * @param cardNumber
     * @param cardLength
     */
    isValidCardNumber(cardNumber: string, cardLength: number): boolean;
    mask(cardNumber: string, format: string): string;
    isMasterCard(cardNumber: string): boolean;
    isVisaCard(cardNumber: string): boolean;
    isAmericanExpressCard(cardNumber: string): boolean;
    /** China T-Union: 31*/
    isChinaTUnion(cardNumber: string): boolean;
    /** China Union Pay: 62*/
    isChinaUnionPay(cardNumber: string): boolean;
    /** Diners Club International: 36 */
    isDinersClubInternational(cardNumber: string): boolean;
    /** Diners Club United States & Canada: 54 */
    isDinersClubCAUS(cardNumber: string): boolean;
    /** Discover Card:  6011, 644-649, 65 */
    isDiscoverCard(cardNumber: string): boolean;
    /** Discover Card Co UnionPay: 622126–622925 */
    isDiscoverCardCoUnionPay(cardNumber: string): boolean;
    /** Rupay: 60, 65, 81, 82, 508 */
    isRuPay(cardNumber: string): boolean;
    /** RuPay Co JCB: 353, 356 */
    isRuPayCoJCB(cardNumber: string): boolean;
    /** InterPayment: 636 */
    isInterPayment(cardNumber: any): boolean;
    /** JCB 3528–3589*/
    isJCB(cardNumber: string): boolean;
    /** Maestro UK: 6759, 676770, 676774 */
    isMaestroUk(cardNumber: string): boolean;
    /** Maestro: 	5018, 5020, 5038, 5893, 6304, 6759, 6761, 6762, 6763 */
    isMaestro(cardNumber: string): boolean;
    /** Dankort: 5019 */
    isDankurt(cardNumber: string): boolean;
    /** DankorkCoVisa: 4571 */
    isDankurtCoVisa(cardNumber: string): boolean;
    /** Mir: 2200–2204 */
    isMir(cardNumber: string): boolean;
    /** NPS Pridnestrovie: 6054740–6054744 */
    npsPridnestrovie(cardNumber: string): boolean;
    /** Visa Electron: 4026, 417500, 4508, 4844, 4913, 4917 */
    isVisaElectron(cardNumber: string): boolean;
    /** Troy: 65 9792 */
    isTroy(cardNumber: string): boolean;
    /** Verve: 506099–506198, 650002–650027, 507865-507964 */
    isVerve(cardNumber: string, value: any): boolean;
    onKeyDown(event: KeyboardEvent, value: string, maxLenth: number): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputFieldCardService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<InputFieldCardService>;
}
