import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, NgZone } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { IConfig } from 'ngx-mask';
import { LocationAutocompleteConfig, LocationCoordinates, LocationModel } from '../../model/location.model';
import { MapService } from '../map/map.service';
import * as i0 from "@angular/core";
export declare class InputFieldComponent<T = string> implements ControlValueAccessor, AfterViewInit {
    private ngZone;
    private cdr;
    private mapService;
    name: string;
    autocomplete: string;
    label: string;
    placeholder: string;
    type: string;
    readonly: boolean;
    focus: boolean;
    enableGoogleAddress: boolean;
    locationAutocompleteConfig: LocationAutocompleteConfig;
    defaultLocation: LocationCoordinates;
    mask: string;
    prefix: string;
    suffix: string;
    maxLength: string;
    value: string | T;
    address: string;
    textarea: boolean;
    resize: boolean;
    counter: boolean;
    patterns: IConfig['patterns'];
    trimWhiteSpace: boolean;
    disabled: boolean;
    mapError: EventEmitter<void>;
    locationChange: EventEmitter<LocationModel>;
    keyDown: EventEmitter<KeyboardEvent>;
    onBlur: EventEmitter<void>;
    inputFieldRef: ElementRef;
    apiLoaded: boolean;
    placeSelected: boolean;
    constructor(ngZone: NgZone, cdr: ChangeDetectorRef, mapService: MapService);
    get inputRef(): HTMLInputElement;
    ngAfterViewInit(): void;
    onChange(value: any): void;
    onTouched(touched: boolean): void;
    writeValue(value: string | T): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    touched(touched: boolean): void;
    focused(): void;
    initAutocomplete(): void;
    private onPlaceChange;
    detectAutofill(event: any): void;
    onKeyDown(event: KeyboardEvent): void;
    onKeyDownTextArea(event: KeyboardEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputFieldComponent<any>, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputFieldComponent<any>, "lib-input-field,[lib-input-field]", never, { "name": { "alias": "name"; "required": false; }; "autocomplete": { "alias": "autocomplete"; "required": false; }; "label": { "alias": "label"; "required": false; }; "placeholder": { "alias": "placeholder"; "required": false; }; "type": { "alias": "type"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "focus": { "alias": "focus"; "required": false; }; "enableGoogleAddress": { "alias": "enableGoogleAddress"; "required": false; }; "locationAutocompleteConfig": { "alias": "locationAutocompleteConfig"; "required": false; }; "defaultLocation": { "alias": "defaultLocation"; "required": false; }; "mask": { "alias": "mask"; "required": false; }; "prefix": { "alias": "prefix"; "required": false; }; "suffix": { "alias": "suffix"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "value": { "alias": "value"; "required": false; }; "address": { "alias": "address"; "required": false; }; "textarea": { "alias": "textarea"; "required": false; }; "resize": { "alias": "resize"; "required": false; }; "counter": { "alias": "counter"; "required": false; }; "patterns": { "alias": "patterns"; "required": false; }; "trimWhiteSpace": { "alias": "trimWhiteSpace"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "mapError": "mapError"; "locationChange": "locationChange"; "keyDown": "keyDown"; "onBlur": "onBlur"; }, never, never, false, never>;
}
