import { DatePipe } from '@angular/common';
import { ChangeDetectorRef, EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { MatAutocomplete, MatAutocompleteTrigger } from '@angular/material/autocomplete';
import { TimeSlot } from '../../model/input-time-field.models';
import * as i0 from "@angular/core";
export declare class InputTimeFieldComponent implements OnInit, ControlValueAccessor {
    private cdr;
    private datePipe;
    matAutocomplete: MatAutocomplete;
    inputAutoComplete: MatAutocompleteTrigger;
    startDate: Date;
    interval: number;
    displaySlotTime: boolean;
    set fromTime(fromTime: string | Date);
    get fromTime(): string | Date;
    format: string;
    label: string;
    readonly: boolean;
    showIcon: boolean;
    disabled: boolean;
    focusEvent: EventEmitter<boolean>;
    timeSlots: TimeSlot[];
    filteredTimeSlots: TimeSlot[];
    control: FormControl<TimeSlot>;
    focused: boolean;
    private onTouched;
    private onChange;
    private fromTimeValue;
    private readonly hourMinutes;
    constructor(cdr: ChangeDetectorRef, datePipe: DatePipe);
    ngOnInit(): void;
    writeValue(value: Date): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    onBlurPicker(): void;
    onFocusPicker(): void;
    /**
     * auto complete filter
     * @param query
     */
    filterTimeSlots(query?: string): void;
    /**
     * display slot label for the auto complete
     * @param slot
     */
    displayFn(slot: TimeSlot): string;
    /**
     * on select slot
     */
    onSelect(): void;
    /**
     * Build a Time Slot object based on the time entered by the user in case the fixed slots do not exist.
     * @param time
     * @param slotLabel
     * @private
     */
    private buildTimeSlot;
    /**
     * generate the time picker slots based on the given (interval) minutes between each date
     * @private
     */
    private generateTimeSlots;
    /**
     * build slot with hours label
     * @param slotLabel
     * @param slotValue
     * @private
     */
    private buildSlotLabelWitHours;
    private formatTimeSlot;
    /**
     * set the selected time slot value
     * @param slotValue
     * @private
     */
    private setTimeSlot;
    private activeSelectedValue;
    static ɵfac: i0.ɵɵFactoryDeclaration<InputTimeFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<InputTimeFieldComponent, "lib-input-time-field", never, { "startDate": { "alias": "startDate"; "required": false; }; "interval": { "alias": "interval"; "required": false; }; "displaySlotTime": { "alias": "displaySlotTime"; "required": false; }; "fromTime": { "alias": "fromTime"; "required": false; }; "format": { "alias": "format"; "required": false; }; "label": { "alias": "label"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "showIcon": { "alias": "showIcon"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "focusEvent": "focusEvent"; }, never, never, false, never>;
}
