import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { SwiperOptions } from 'swiper/types';
import { ISchedulerAction } from '../calendar/scheduler/interfaces/scheduler.action.interface';
import { IMessage } from '../chat/interfaces/message.interface';
import { ClientHomeComponent } from '../client-home/enums/client-home-component.enum';
import { AlertStatusFields } from './enums/alert-status-fields.enum';
import { ClientDashboardTabs } from './enums/client-dashboard-component.enum';
import { IClientDashboardInputs } from './interfaces/client-dashboard-inputs.interface';
import * as i0 from "@angular/core";
export declare class LibClientDashboardComponent implements OnInit, OnDestroy {
    private cdr;
    config: IClientDashboardInputs;
    addMessage: EventEmitter<{
        message: IMessage;
        index: number;
        prospectId: string;
    }>;
    getMessages: EventEmitter<void>;
    bookEvent: EventEmitter<ISchedulerAction>;
    removeSuggestion: EventEmitter<ISchedulerAction>;
    activeIndexChange: EventEmitter<number>;
    handleClosedAlert: EventEmitter<{
        event: boolean;
        field: AlertStatusFields;
    }>;
    handleAppearPopup: EventEmitter<AlertStatusFields>;
    components: typeof ClientHomeComponent;
    componentTabs: typeof ClientDashboardTabs;
    mainSwiperOptions: SwiperOptions;
    alertStatusFields: typeof AlertStatusFields;
    isTouchEvent: boolean;
    items: {
        key: string;
        label: string;
        onClickInfo: () => void;
    }[];
    isMinimizeVisual: boolean;
    iconSize: string;
    assetPaths: {
        defaultIcon: string;
    };
    item: {
        label: string;
    };
    clientHomeThumbsSwiperOptions: SwiperOptions;
    dashboardThumbsSwiperOptions: SwiperOptions;
    private lastTapTime;
    private componentDestroyed$;
    constructor(cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onActiveTabIndexChange(index: number): void;
    handleNewMessage(event: {
        message: IMessage;
        index: number;
        prospectId: string;
    }): void;
    handleDoubleClick(): void;
    onTouchStart(event: TouchEvent): void;
    onClick(event: PointerEvent): void;
    onChartIndexChange(index: any): void;
    onActiveProspectChange(index: number): void;
    onClosedAlert(data: {
        event: boolean;
        field: AlertStatusFields;
    }): void;
    onHandleAppearPopup(field: AlertStatusFields): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibClientDashboardComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibClientDashboardComponent, "lib-client-dashboard", never, { "config": { "alias": "config"; "required": false; }; }, { "addMessage": "addMessage"; "getMessages": "getMessages"; "bookEvent": "bookEvent"; "removeSuggestion": "removeSuggestion"; "activeIndexChange": "activeIndexChange"; "handleClosedAlert": "handleClosedAlert"; "handleAppearPopup": "handleAppearPopup"; }, never, never, true, never>;
}
