import { TemplateRef } from '@angular/core';
import { Observable } from 'rxjs';
import { IAgendaEvent } from '../../calendar/agenda/interfaces/agenda.event.inetrface';
import { ISchedulerEvent } from '../../calendar/scheduler/interfaces/scheduler.event.interface';
import { IDateMessages } from '../../chat/interfaces/date-messages.interface';
import { ILibClientMatchOverview } from '../../client-match-overview/interfaces/client-match-overview.interface';
import { ISpiderChartConfig } from '../../spider-chart/interfaces/config.interface';
import { IPolygonColor } from '../../spider-chart/interfaces/polygon-color.interface';
import { AlertStatusFields } from '../enums/alert-status-fields.enum';
export interface IClientDashboardInputs {
    schedulerAdsTemplate?: TemplateRef<HTMLElement>;
    schedulerTabAdsTemplate?: TemplateRef<HTMLElement>;
    chatAdsTemplate?: TemplateRef<HTMLElement>;
    chatTabAdsTemplate?: TemplateRef<HTMLElement>;
    traitVisualAdsTemplate?: TemplateRef<HTMLElement>;
    agendaAdsTemplate?: TemplateRef<HTMLElement>;
    default?: boolean;
    activeIndex?: number;
    activeTabIndex?: number;
    activeChartItem?: number;
    slideContentMaxHeight?: string;
    clientMatches$?: Observable<ILibClientMatchOverview[]>;
    events?: IAgendaEvent[];
    chats$?: Observable<{
        messages: IDateMessages[];
        prospectId: string;
    }[]>;
    polygonColors?: IPolygonColor[];
    spiderConfig?: ISpiderChartConfig;
    schedulers$?: Observable<{
        events$: Observable<ISchedulerEvent[]>;
    }[]>;
    alertStatus: Partial<Record<AlertStatusFields, boolean>>;
}
