import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ISchedulerAction } from '../calendar/scheduler/interfaces/scheduler.action.interface';
import { IMessage } from '../chat/interfaces/message.interface';
import { ClientHomeComponent } from '../client-home/enums/client-home-component.enum';
import { IMatcherDashboardInputs } from './interfaces/matcher-dashboard-inputs.interface';
import * as i0 from "@angular/core";
export declare class LibComposeMacherDashComponent implements OnInit, OnDestroy {
    private cdr;
    config: IMatcherDashboardInputs;
    addMessage: EventEmitter<{
        message: IMessage;
        prospectId: string;
    }>;
    getMessages: EventEmitter<void>;
    bookEvent: EventEmitter<ISchedulerAction>;
    removeSuggestion: EventEmitter<ISchedulerAction>;
    activeIndexChange: EventEmitter<number>;
    components: typeof ClientHomeComponent;
    suggest: string;
    schedularCounts: {
        booked: number;
        suggested: number;
    };
    statuses: ({
        title: string;
        icon: string;
        isText: boolean;
    } | {
        title: string;
        icon: string;
        isText?: undefined;
    })[];
    private componentDestroyed$;
    constructor(cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onActiveTabIndexChange(index: number): void;
    onActiveProspectChange(index: number): void;
    suggestClicked(suggest: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibComposeMacherDashComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibComposeMacherDashComponent, "lib-compose-matcher-dash", never, { "config": { "alias": "config"; "required": false; }; }, { "addMessage": "addMessage"; "getMessages": "getMessages"; "bookEvent": "bookEvent"; "removeSuggestion": "removeSuggestion"; "activeIndexChange": "activeIndexChange"; }, never, never, true, never>;
}
