import { TemplateRef } from '@angular/core';
import { Observable } from 'rxjs';
import { ISchedulerEvent } from '../../calendar/scheduler/interfaces/scheduler.event.interface';
import { IChatSuggestion } from '../../chat-suggestion/interfaces/chat-suggestion.interface';
import { IDateMessages } from '../../chat/interfaces/date-messages.interface';
import { ILibClientMatchOverview } from '../../client-match-overview/interfaces/client-match-overview.interface';
import { AlertStatusFields } from '../../lib-client-dashboard/enums/alert-status-fields.enum';
import { ISpiderChartConfig } from '../../spider-chart/interfaces/config.interface';
import { IPolygonColor } from '../../spider-chart/interfaces/polygon-color.interface';
import { ILoadingFields } from './loading-fields.interface';
import { IDashboardMatcherProfile } from './matcher-profile.interface';
export interface IMatcherDashboardInputs {
    schedulerAdsTemplate?: TemplateRef<HTMLElement>;
    schedulerTabAdsTemplate?: TemplateRef<HTMLElement>;
    chatAdsTemplate?: TemplateRef<HTMLElement>;
    loading?: ILoadingFields;
    default?: boolean;
    activeIndex?: number;
    activeTabIndex?: number;
    slideContentMaxHeight?: string;
    clientMatches$?: Observable<ILibClientMatchOverview[]>;
    events$?: Observable<ISchedulerEvent[]>;
    chats$?: Observable<{
        messages: IDateMessages[];
        prospectId: string;
        chatSuggestions: IChatSuggestion[];
    }[]>;
    polygonColors?: IPolygonColor[];
    spiderConfig?: ISpiderChartConfig;
    profileWithProgress: IDashboardMatcherProfile;
    alertStatus: Partial<Record<AlertStatusFields, boolean>>;
}
