/// <reference types="google.maps" />
import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { IPosition } from '../../interfaces/position.interface';
import { LocationModel } from '../../model/location.model';
import { MapActionEvent } from '../map/interfaces/map-action-event.interface';
import { MapService } from '../map/map.service';
import { Place } from '../map/place.model';
import * as i0 from "@angular/core";
export declare class LocationSuggestionPanelComponent implements OnInit, OnDestroy {
    private cdr;
    private mapService;
    selectedLocation: IPosition;
    locationFormControl: FormControl<string>;
    showSearchBar: boolean;
    placesTitleTranslationKey: string;
    locationChange: EventEmitter<IPosition>;
    mapOptions: google.maps.MapOptions;
    places: Place[];
    private componentDestroyed$;
    constructor(cdr: ChangeDetectorRef, mapService: MapService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    onLocationChange(value: LocationModel): void;
    onMapActionEvent(mapActionEvent: MapActionEvent): void;
    private intializePlacesSection;
    private findNearByPlaces;
    private updateMap;
    static ɵfac: i0.ɵɵFactoryDeclaration<LocationSuggestionPanelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LocationSuggestionPanelComponent, "lib-location-suggestion-panel", never, { "selectedLocation": { "alias": "selectedLocation"; "required": true; }; "locationFormControl": { "alias": "locationFormControl"; "required": false; }; "showSearchBar": { "alias": "showSearchBar"; "required": false; }; "placesTitleTranslationKey": { "alias": "placesTitleTranslationKey"; "required": false; }; }, { "locationChange": "locationChange"; }, never, never, true, never>;
}
