import { AutofillMonitor } from '@angular/cdk/text-field';
import { AfterViewInit, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor, FormControl } from '@angular/forms';
import { LoginFormType } from '../../enums/login-input-form.enum';
import { PhoneDetails } from '../../model/auth.models';
import { AuthIcons } from '../../types/auth-icons';
import { ToggleVariants } from '../toggle/enums/toggle-variants.enum';
import * as i0 from "@angular/core";
export declare class LoginInputComponent implements OnDestroy, OnInit, AfterViewInit, ControlValueAccessor {
    private autofillMonitor;
    usernameLabel: string;
    phoneNumberPlaceHolder: string;
    icons: AuthIcons;
    loginFormTypeChange: EventEmitter<LoginFormType>;
    LoginFormType: typeof LoginFormType;
    selectedLoginFormMode: LoginFormType;
    isFormValid: Record<LoginFormType, boolean>;
    firstChange: boolean;
    TOGGLE_VARAINTS: typeof ToggleVariants;
    phoneControl: FormControl<PhoneDetails>;
    emailControl: FormControl<string>;
    private onChange;
    private onTouched;
    private destroy$;
    private loginInputFieldComponent;
    private loginInputFieldRef;
    private didBrowserAutofillEmail;
    constructor(autofillMonitor: AutofillMonitor);
    buildForm(): void;
    ngOnInit(): void;
    /**
     * Emits the email value if it was autofilled by the browser.
     * The flag `didBrowserAutofillEmail` ensures this only happens when the
     * browser's autofill mechanism has filled the input field.
     *
     * @remarks
     * This is a workaround (hack) to detect and handle browser autofill events
     * since detecting autofilled values is not straightforward and relies on
     * monitoring input changes and browser autofill events.
     */
    emitAutofillEmailValue(): void;
    ngAfterViewInit(): void;
    onFieldClick(): void;
    toggleInput(): void;
    writeValue(value: string | PhoneDetails): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    ngOnDestroy(): void;
    checkFormValidation(): void;
    private setEmailFormType;
    private setPhoneFormType;
    static ɵfac: i0.ɵɵFactoryDeclaration<LoginInputComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LoginInputComponent, "lib-login-input", never, { "usernameLabel": { "alias": "usernameLabel"; "required": false; }; "phoneNumberPlaceHolder": { "alias": "phoneNumberPlaceHolder"; "required": false; }; "icons": { "alias": "icons"; "required": false; }; }, { "loginFormTypeChange": "loginFormTypeChange"; }, never, never, false, never>;
}
