/// <reference types="google.maps" />
import { CdkDragDrop } from '@angular/cdk/drag-drop';
import { AfterViewInit, ChangeDetectorRef, EventEmitter, OnChanges, OnDestroy, OnInit, SimpleChanges } from '@angular/core';
import { GoogleMap, MapCircle } from '@angular/google-maps';
import { Observable } from 'rxjs';
import { IPosition } from '../../interfaces/position.interface';
import { MapMarkerModel } from '../../model/map.marker';
import { MapActionEvent } from './interfaces/map-action-event.interface';
import { MapService } from './map.service';
import * as i0 from "@angular/core";
export declare class LibMapsComponent implements AfterViewInit, OnChanges, OnDestroy, OnInit {
    private mapService;
    private cdr;
    disableNotification: boolean;
    markers: MapMarkerModel[];
    initialLocation: IPosition;
    mapType: google.maps.MapTypeId | undefined;
    enableDrag: boolean;
    locations: string[];
    searchMapsString: string;
    mapOptions: google.maps.MapOptions;
    directions$: Observable<google.maps.DirectionsResult>;
    directionRenderOptions: google.maps.DirectionsRendererOptions;
    mapActionEvent: EventEmitter<MapActionEvent>;
    markerOptions: google.maps.MarkerOptions;
    circleOptions: google.maps.CircleOptions;
    apiLoaded: boolean;
    editLocationIndex: number;
    deleteLocationIndex: number;
    locationTrack: IPosition;
    map: GoogleMap;
    zoom: number;
    editOptionClicked: boolean;
    private centerPosition;
    private validatedPosition;
    private mapCircleItem$;
    private componentDestroyed$;
    private centerChanged$;
    constructor(mapService: MapService, cdr: ChangeDetectorRef);
    ngOnInit(): void;
    onPlaceChange(place: google.maps.places.PlaceResult): void;
    ngAfterViewInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    /**
     * load & initialize the map
     *
     * @private
     */
    private loadMap;
    zoomChanged(maps: any): void;
    checkLatPositionBoundary(latPosition: number): number;
    /**
     * configure the map
     *
     * @private
     */
    private initializeMapConfig;
    private handleGoogleMapsApiError;
    centerChanged(maps: GoogleMap): void;
    adjustLatitude(lat: number, constant: number, addLat?: boolean): number;
    radiusChanged(circle: MapCircle, index: number): void;
    markerDragEnd(index: number, $event: google.maps.MapMouseEvent): void;
    debounceCenterchanged(index: number, circle: MapCircle): void;
    markerDragEndCircle(index: number, circle: MapCircle): void;
    checkLocationNotExists(obj: google.maps.LatLngLiteral, ignoreIndex?: number): boolean;
    drop(event: CdkDragDrop<string[]>): void;
    resetEditMarker(): void;
    capturePositionChanges(position?: IPosition): void;
    navigateToItem(index: number): void;
    onMapClick(mapClick: google.maps.MapMouseEvent): void;
    onMarkerClick(markerClick: MapMarkerModel): void;
    centerMap(position?: google.maps.LatLngLiteral): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibMapsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibMapsComponent, "lib-map", never, { "disableNotification": { "alias": "disableNotification"; "required": false; }; "markers": { "alias": "markers"; "required": false; }; "initialLocation": { "alias": "initialLocation"; "required": false; }; "mapType": { "alias": "mapType"; "required": false; }; "enableDrag": { "alias": "enableDrag"; "required": false; }; "locations": { "alias": "locations"; "required": false; }; "searchMapsString": { "alias": "searchMapsString"; "required": false; }; "mapOptions": { "alias": "mapOptions"; "required": false; }; "directions$": { "alias": "directions$"; "required": false; }; "directionRenderOptions": { "alias": "directionRenderOptions"; "required": false; }; }, { "mapActionEvent": "mapActionEvent"; }, never, never, false, never>;
}
