import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, TemplateRef } from '@angular/core';
import { IonModal } from '@ionic/angular';
import { ModalBreakpointChangeEventDetail } from '@ionic/core';
import * as i0 from "@angular/core";
export declare class BottomModalComponent implements OnDestroy, AfterViewInit {
    cdk: ChangeDetectorRef;
    bottomModalRef: IonModal;
    headerLeftContent: TemplateRef<ElementRef>;
    headerRightContent: TemplateRef<ElementRef>;
    breakpoints: number[];
    initialBreakpoint: number;
    set isOpen(open: boolean);
    get isOpen(): boolean;
    canDismiss: boolean;
    showArrow: boolean;
    showBackBtn: boolean;
    showConfirm: boolean;
    showCloseBtn: boolean;
    loading: boolean;
    showHeaderSeparator: boolean;
    title: string;
    confirmationTitle: string;
    confirmationMsg: string;
    confirmButton: string;
    confirmCancelButton: string;
    description: string;
    secondaryButtonTitle: string;
    submitButtonTitle: string;
    cancelButtonTitle: string;
    validModal: boolean;
    adaptToContentHeight: boolean;
    customClass: string;
    isOpenChange: EventEmitter<boolean>;
    breakpointChange: EventEmitter<number>;
    closeModal: EventEmitter<void>;
    submitModal: EventEmitter<void>;
    secondaryButtonClick: EventEmitter<void>;
    backClick: EventEmitter<void>;
    showConfirmChange: EventEmitter<boolean>;
    confirmEvent: EventEmitter<void>;
    private _isOpen;
    constructor(cdk: ChangeDetectorRef);
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onDidDismiss(): void;
    onBreakpointDidChange(event: CustomEvent<ModalBreakpointChangeEventDetail>): void;
    updateInitialBreakpoint(initialBreakpoint: number): void;
    onClickBack(): void;
    closeLibBottomModal(): void;
    onConfirm(confirm?: boolean): void;
    private handelOpenModal;
    static ɵfac: i0.ɵɵFactoryDeclaration<BottomModalComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<BottomModalComponent, "lib-bottom-modal", never, { "breakpoints": { "alias": "breakpoints"; "required": false; }; "initialBreakpoint": { "alias": "initialBreakpoint"; "required": false; }; "isOpen": { "alias": "isOpen"; "required": false; }; "canDismiss": { "alias": "canDismiss"; "required": false; }; "showArrow": { "alias": "showArrow"; "required": false; }; "showBackBtn": { "alias": "showBackBtn"; "required": false; }; "showConfirm": { "alias": "showConfirm"; "required": false; }; "showCloseBtn": { "alias": "showCloseBtn"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "showHeaderSeparator": { "alias": "showHeaderSeparator"; "required": false; }; "title": { "alias": "title"; "required": false; }; "confirmationTitle": { "alias": "confirmationTitle"; "required": false; }; "confirmationMsg": { "alias": "confirmationMsg"; "required": false; }; "confirmButton": { "alias": "confirmButton"; "required": false; }; "confirmCancelButton": { "alias": "confirmCancelButton"; "required": false; }; "description": { "alias": "description"; "required": false; }; "secondaryButtonTitle": { "alias": "secondaryButtonTitle"; "required": false; }; "submitButtonTitle": { "alias": "submitButtonTitle"; "required": false; }; "cancelButtonTitle": { "alias": "cancelButtonTitle"; "required": false; }; "validModal": { "alias": "validModal"; "required": false; }; "adaptToContentHeight": { "alias": "adaptToContentHeight"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; }, { "isOpenChange": "isOpenChange"; "breakpointChange": "breakpointChange"; "closeModal": "closeModal"; "submitModal": "submitModal"; "secondaryButtonClick": "secondaryButtonClick"; "backClick": "backClick"; "showConfirmChange": "showConfirmChange"; "confirmEvent": "confirmEvent"; }, ["headerLeftContent", "headerRightContent"], ["*"], false, never>;
}
