import { ComponentRef, ElementRef, TemplateRef, Type, ViewContainerRef } from '@angular/core';
import { Observable } from 'rxjs';
import { PopupModal } from '../../../model/popup-modal';
import { LibModalComponent } from './popup-modal.component';
import * as i0 from "@angular/core";
export type Content<T> = string | TemplateRef<T> | Type<T>;
export declare class PopupModalService {
    private rootViewContainerRef;
    private ref;
    private _childModalElementRef$;
    childModalElementRef$: Observable<ElementRef<HTMLDivElement>>;
    setRootViewContainerRef(view: ViewContainerRef): void;
    reset(): void;
    insertModalComponent<T>(content?: Content<T>): void;
    resolveNgContent(content: any): Node[][];
    getInstance(): ComponentRef<LibModalComponent>;
    setInstance(instance: ComponentRef<LibModalComponent>): void;
    show<T, D>(component?: Type<T>, data?: D, newInstance?: boolean): LibModalComponent;
    hide(data?: unknown): void;
    isOpenStatus(): boolean;
    setValues(obj?: PopupModal): void;
    setChildModalElementRef(elementRef: ElementRef<HTMLDivElement>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PopupModalService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PopupModalService>;
}
