import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { UntypedFormControl } from '@angular/forms';
import { Observable } from 'rxjs';
import { TooltipDirectionPreference } from '../../enums/tooltip-direction-preference';
import { FormSectionVariables } from '../../model/form-generator/form-section-variables';
import { FormFieldType } from './../../enums/form-field-type';
import { FormFieldVariables } from './../../model/form-generator/form-field-variables';
import { ItemSummary } from './../../model/item-summary';
import * as i0 from "@angular/core";
export declare class MultiFieldComponent implements OnInit, OnDestroy {
    private changeDetectorRef;
    FormFieldType: typeof FormFieldType;
    tempFieldControls: UntypedFormControl[][];
    DirectionPreference: typeof TooltipDirectionPreference;
    fieldName: string;
    config: FormSectionVariables;
    formFieldControl: UntypedFormControl;
    newRowText: string;
    useTooltips: boolean;
    disabled: boolean;
    rowDeleteConfirmationObsv: Observable<{
        fieldName: string;
        fieldValue: any;
    }>;
    maxLength: number;
    currencySymbol: string;
    errorMessage: string;
    editDisabled: boolean;
    editIndex: number;
    addDisabled: boolean;
    addingNewRow: boolean;
    rowDelete: EventEmitter<{
        fieldName: string;
        fieldValue: any;
    }>;
    rowEdit: EventEmitter<{
        rowFormControls: UntypedFormControl[][];
        config: FormSectionVariables;
    }>;
    valueChanges: EventEmitter<{
        formControl: UntypedFormControl;
        config: FormSectionVariables;
    }>;
    private componentDestroyed$;
    constructor(changeDetectorRef: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    getDisplayValue(fieldInfo: FormFieldVariables, value: any): any;
    handleRowDeleted(rowIndex: number, event: any): void;
    handleRowDeletedAction(rowIndex: number): void;
    handleFieldClicked(fieldInfo: FormFieldVariables): void;
    handleRowClicked(rowIndex: number): void;
    handleAddClicked(): void;
    addValidityListeners(): void;
    updateValidity(): void;
    handleCancelClicked(): void;
    /**
     * This method takes the values from the input fields and either updates the
     * corresponding row of the formFieldControl value, or adds a new row to the end
     */
    handleSaveClicked(): void;
    handleTypeaheadSelected(row: number, col: number, value: ItemSummary<any>): void;
    handleTypeaheadDeselected(row: number, col: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiFieldComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MultiFieldComponent, "lib-multi-field", never, { "fieldName": { "alias": "fieldName"; "required": false; }; "config": { "alias": "config"; "required": false; }; "formFieldControl": { "alias": "formFieldControl"; "required": false; }; "newRowText": { "alias": "newRowText"; "required": false; }; "useTooltips": { "alias": "useTooltips"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "rowDeleteConfirmationObsv": { "alias": "rowDeleteConfirmationObsv"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "currencySymbol": { "alias": "currencySymbol"; "required": false; }; "errorMessage": { "alias": "errorMessage"; "required": false; }; "editDisabled": { "alias": "editDisabled"; "required": false; }; }, { "rowDelete": "rowDelete"; "rowEdit": "rowEdit"; "valueChanges": "valueChanges"; }, never, never, false, never>;
}
