import { MatDialogRef } from '@angular/material/dialog';
import { ItemActionHandler } from '../../model/item-action-handler';
import { SelectOption } from '../../model/select-option';
import * as i0 from "@angular/core";
export declare class MultiselectDialogComponent {
    dialogRef: MatDialogRef<MultiselectDialogComponent>;
    data: any;
    title: string;
    headerIconTray: ItemActionHandler[];
    optionGroups: {
        groupName: string;
        options: SelectOption<any>[];
    }[];
    selectedOptions: SelectOption<any>[];
    totalOptionGroups: {
        groupName: string;
        options: SelectOption<any>[];
    }[];
    totalCount: number;
    showDialogMessage: boolean;
    readonly searchModeThreshold = 50;
    constructor(dialogRef: MatDialogRef<MultiselectDialogComponent>, data: any);
    search(value: string): void;
    clearSearch(): void;
    /**
     * Indicates that an option has been checked or unchecked.
     *
     * @param event - A tuple containing the option in question and its current checked state.
     */
    handleCheckedValueChange(event: [SelectOption<any>, boolean]): void;
    /**
     * Closes the dialog
     */
    handleClickCancel(): void;
    getLeftOptions(options: SelectOption<any>[]): SelectOption<any>[];
    getRightOptions(options: SelectOption<any>[]): SelectOption<any>[];
    headerIconClicked(icon: ItemActionHandler): void;
    /**
     * Closes the dialog and returns the selected options to the dialog owner.
     */
    handleClickSave(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiselectDialogComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MultiselectDialogComponent, "lib-multiselect-dialog", never, {}, {}, never, never, false, never>;
}
