import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { MatDialog } from '@angular/material/dialog';
import { Observable } from 'rxjs';
import { ItemActionHandler } from '../../model/item-action-handler';
import { SelectOption } from '../../model/select-option';
import * as i0 from "@angular/core";
export declare class MultiselectComponent implements OnInit, OnDestroy {
    private changeDetectorRef;
    dialog: MatDialog;
    optionGroups: {
        groupName: string;
        options: SelectOption<any>[];
    }[];
    selectedOptions: SelectOption<any>[];
    fieldName: string;
    dialogTitle: string;
    required: boolean;
    showRequiredIndicator: boolean;
    submitted: boolean;
    optionDeleteConfirmationObsv: Observable<{
        fieldName: string;
        fieldValue: any;
    }>;
    headerIconTray: ItemActionHandler[];
    showDialogMessage: boolean;
    disabled: boolean;
    optionDelete: EventEmitter<{
        fieldName: string;
        fieldValue: any;
    }>;
    selectedOptionsChange: EventEmitter<SelectOption<any>[]>;
    private componentDestroyed$;
    constructor(changeDetectorRef: ChangeDetectorRef, dialog: MatDialog);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Appends the options selected in the dialog to the selected options
     * and emits an event containing the new list of selected options
     *
     * @param result - The options selected via the dialog
     */
    private handleDialogResult;
    /**
     * Removes an option from the selected options list.
     *
     * @param option - The option to remove.
     */
    handleOptionRemove(option: SelectOption<any>, event: any): void;
    handleOptionDeletedAction(option: SelectOption<any>): void;
    /**
     * Opens a dialog allowing the user to add options.
     */
    handleOptionAdd(): void;
    getTotalCount(): number;
    static ɵfac: i0.ɵɵFactoryDeclaration<MultiselectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<MultiselectComponent, "lib-multiselect", never, { "optionGroups": { "alias": "optionGroups"; "required": false; }; "selectedOptions": { "alias": "selectedOptions"; "required": false; }; "fieldName": { "alias": "fieldName"; "required": false; }; "dialogTitle": { "alias": "dialogTitle"; "required": false; }; "required": { "alias": "required"; "required": false; }; "showRequiredIndicator": { "alias": "showRequiredIndicator"; "required": false; }; "submitted": { "alias": "submitted"; "required": false; }; "optionDeleteConfirmationObsv": { "alias": "optionDeleteConfirmationObsv"; "required": false; }; "headerIconTray": { "alias": "headerIconTray"; "required": false; }; "showDialogMessage": { "alias": "showDialogMessage"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "optionDelete": "optionDelete"; "selectedOptionsChange": "selectedOptionsChange"; }, never, never, false, never>;
}
