import { AfterViewInit, EventEmitter, OnDestroy } from '@angular/core';
import { Gesture } from '@ionic/angular';
import { Subject } from 'rxjs';
import { NotificationStatuses } from '../enums/notification-statuses.enum';
import { INotificationActivity, INotificationItem, INotificationsList } from '../interfaces';
import * as i0 from "@angular/core";
export declare class NotificationsListComponent implements AfterViewInit, OnDestroy {
    private cardElements;
    /** List of notifications to display */
    notifications: INotificationsList[];
    /** Controls the loading state of the notifications list */
    isLoading: boolean;
    /** Emits when a notification is clicked */
    notificationClicked: EventEmitter<INotificationItem>;
    notificationSwipe: EventEmitter<INotificationActivity>;
    NotificationStatuses: typeof NotificationStatuses;
    private gestureCtrl;
    gestures: Gesture[];
    componentDestroyed$: Subject<void>;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    handleClick(notification: INotificationItem): void;
    private setupGestures;
    private cleanupGestures;
    static ɵfac: i0.ɵɵFactoryDeclaration<NotificationsListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NotificationsListComponent, "lib-notifications-list", never, { "notifications": { "alias": "notifications"; "required": false; }; "isLoading": { "alias": "isLoading"; "required": false; }; }, { "notificationClicked": "notificationClicked"; "notificationSwipe": "notificationSwipe"; }, never, never, true, never>;
}
