import { EventEmitter, ViewContainerRef } from '@angular/core';
import { NgxImageCompressService } from 'ngx-image-compress';
import { Observable } from 'rxjs';
import { ImageFormats } from '../../../enums/image-formats.enum';
import { ImageModel } from '../../../model/image-model';
import { ImageCropperService } from '../../image-cropper/image-cropper.service';
import * as i0 from "@angular/core";
export declare class ImageBaseComponent {
    private imageCompressService;
    private imageCropperService;
    imageUrl: string;
    imageLabel: string;
    maxNumOfPhotos: number;
    loading: boolean;
    disabled: boolean;
    enableDelete: boolean;
    enableCropper: boolean;
    imageFormats: ImageFormats[];
    cropperModalViewRef: ViewContainerRef;
    enableCompression: boolean;
    maxImageSizeInBytes: number;
    maxImageCompressSizeInBytes: number;
    photoAspectRatio: number;
    photos: ImageModel[];
    disableUploadOnClick: boolean;
    faceDetector: (images: string) => Observable<boolean>;
    nsfwChecker: (images: string) => Observable<boolean>;
    enableNsfwCheck: boolean;
    enableFaceCheck: boolean;
    compressRatio: number;
    compressQuality: number;
    photosUpload: EventEmitter<ImageModel[]>;
    photoUploadFail: EventEmitter<string>;
    dupPhotosDetect: EventEmitter<number>;
    unsupportedFormatsDetect: EventEmitter<string[]>;
    maxUploadLimitExceeded: EventEmitter<null>;
    private newImages;
    constructor(imageCompressService: NgxImageCompressService, imageCropperService: ImageCropperService);
    onSelectImages(imageFiles: ImageModel[]): void;
    private validateImages;
    private compressImages;
    private compressImage;
    static ɵfac: i0.ɵɵFactoryDeclaration<ImageBaseComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ImageBaseComponent, "lib-image-base", never, { "imageUrl": { "alias": "imageUrl"; "required": false; }; "imageLabel": { "alias": "imageLabel"; "required": false; }; "maxNumOfPhotos": { "alias": "maxNumOfPhotos"; "required": false; }; "loading": { "alias": "loading"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "enableDelete": { "alias": "enableDelete"; "required": false; }; "enableCropper": { "alias": "enableCropper"; "required": false; }; "imageFormats": { "alias": "imageFormats"; "required": false; }; "cropperModalViewRef": { "alias": "cropperModalViewRef"; "required": false; }; "enableCompression": { "alias": "enableCompression"; "required": false; }; "maxImageSizeInBytes": { "alias": "maxImageSizeInBytes"; "required": false; }; "maxImageCompressSizeInBytes": { "alias": "maxImageCompressSizeInBytes"; "required": false; }; "photoAspectRatio": { "alias": "photoAspectRatio"; "required": false; }; "photos": { "alias": "photos"; "required": false; }; "disableUploadOnClick": { "alias": "disableUploadOnClick"; "required": false; }; "faceDetector": { "alias": "faceDetector"; "required": false; }; "nsfwChecker": { "alias": "nsfwChecker"; "required": false; }; "enableNsfwCheck": { "alias": "enableNsfwCheck"; "required": false; }; "enableFaceCheck": { "alias": "enableFaceCheck"; "required": false; }; "compressRatio": { "alias": "compressRatio"; "required": false; }; "compressQuality": { "alias": "compressQuality"; "required": false; }; }, { "photosUpload": "photosUpload"; "photoUploadFail": "photoUploadFail"; "dupPhotosDetect": "dupPhotosDetect"; "unsupportedFormatsDetect": "unsupportedFormatsDetect"; "maxUploadLimitExceeded": "maxUploadLimitExceeded"; }, never, ["*"], false, never>;
}
