import { ChangeDetectorRef, ElementRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { NgxImageCompressService } from 'ngx-image-compress';
import { Observable, Subject } from 'rxjs';
import { ImageModel } from '../../model/image-model';
import { ILargeFileWarningParams } from '../../model/large-file-warning-params.interface';
import { ImageCropperService } from '../image-cropper/image-cropper.service';
import { PopupModalService } from '../modal/popup-modal/popup-modal.service';
import * as i0 from "@angular/core";
export declare class PictureGalleryComponent implements OnInit, OnDestroy {
    private cdr;
    private imageCompress;
    modalFactoryService: PopupModalService;
    private imageCropperService;
    maxNumOfPhotos: number;
    photos: ImageModel[];
    slotsPerRow: number;
    gridGap: number;
    enableDragAndDrop: boolean;
    infoIcon: string;
    largeFileUploadWarningParams: ILargeFileWarningParams;
    photoAspectRatio: number;
    enableNsfwCheck: boolean;
    enableFaceCheck: boolean;
    compressRatio: number;
    compressQuality: number;
    faceDetector: (images: string) => Observable<boolean>;
    nsfwChecker: (images: string) => Observable<boolean>;
    photosUpload: EventEmitter<ImageModel[]>;
    photosDelete: EventEmitter<ImageModel[]>;
    photoUploadFail: EventEmitter<string>;
    dupPhotosDetect: EventEmitter<number>;
    unsupportedFormatsDetect: EventEmitter<string[]>;
    maxUploadLimitExceeded: EventEmitter<null>;
    dragOutline: ElementRef;
    skeletonLoaders: boolean[];
    imageBeingLoaded: boolean;
    imageBeingProcessed: ImageModel;
    private imageFiles;
    private croppedImages;
    private readonly twoMegabytes;
    private imageSizeMap;
    destroy$: Subject<void>;
    /**
     * @param alertService
     * @param userRegistrationService
     * @param cdr
     * @param imageCompress
     * @param imageCropperService
     */
    constructor(cdr: ChangeDetectorRef, imageCompress: NgxImageCompressService, modalFactoryService: PopupModalService, imageCropperService: ImageCropperService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    selectImage(): void;
    handleImages(imageFiles: ImageModel[]): Promise<void>;
    private compressImage;
    removeImage(index: number): void;
    private updateView;
    private parseUploadedImages;
    private processCompressedImage;
    private emitUploadedPhotos;
    static ɵfac: i0.ɵɵFactoryDeclaration<PictureGalleryComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PictureGalleryComponent, "lib-picture-gallery", never, { "maxNumOfPhotos": { "alias": "maxNumOfPhotos"; "required": false; }; "photos": { "alias": "photos"; "required": false; }; "slotsPerRow": { "alias": "slotsPerRow"; "required": false; }; "gridGap": { "alias": "gridGap"; "required": false; }; "enableDragAndDrop": { "alias": "enableDragAndDrop"; "required": false; }; "infoIcon": { "alias": "infoIcon"; "required": false; }; "largeFileUploadWarningParams": { "alias": "largeFileUploadWarningParams"; "required": false; }; "photoAspectRatio": { "alias": "photoAspectRatio"; "required": false; }; "enableNsfwCheck": { "alias": "enableNsfwCheck"; "required": false; }; "enableFaceCheck": { "alias": "enableFaceCheck"; "required": false; }; "compressRatio": { "alias": "compressRatio"; "required": false; }; "compressQuality": { "alias": "compressQuality"; "required": false; }; "faceDetector": { "alias": "faceDetector"; "required": false; }; "nsfwChecker": { "alias": "nsfwChecker"; "required": false; }; }, { "photosUpload": "photosUpload"; "photosDelete": "photosDelete"; "photoUploadFail": "photoUploadFail"; "dupPhotosDetect": "dupPhotosDetect"; "unsupportedFormatsDetect": "unsupportedFormatsDetect"; "maxUploadLimitExceeded": "maxUploadLimitExceeded"; }, never, never, false, never>;
}
