import { ElementRef, OnDestroy, OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { IRouteParams } from './route-params.interface';
import * as i0 from "@angular/core";
export declare class PreviewWindowComponent implements OnInit, OnDestroy {
    thumbnail: ElementRef;
    stepWeight: number;
    routes: IRouteParams[];
    includeSteps: boolean;
    includeStepsCount: boolean;
    progress: number;
    availableFarthestProgress: number;
    farthestProgress: number;
    canContinue$: Observable<boolean>;
    router: {
        routeToNextPage: (user: {}, storage: boolean, url: string) => void;
        routeBackinRegistrationFlow: (url: string) => void;
        shouldINavigateOnClick?: (url: string) => boolean;
        routeToPage?: (url: string) => void;
    };
    private el;
    thumbnailUrl: string;
    displayThumbnail: boolean;
    selectedRoute: IRouteParams;
    initialStepIndex: number;
    private isTouchEvent;
    private unsubscribeAll;
    private get previewTab();
    ngOnInit(): void;
    private preloadThumbnails;
    ngOnDestroy(): void;
    private getStepIndexFromTouch;
    onTouchStart(event: TouchEvent, regRoute: IRouteParams, index: number): void;
    onTouchMove(event: TouchEvent, regRoute: IRouteParams, index: number): void;
    showThumbnail(event: MouseEvent | TouchEvent): void;
    adoptElement(event: MouseEvent | TouchEvent, selectedRoute: IRouteParams): void;
    mouseLeave(): void;
    navigateOnClick(url: string, progress: number): void;
    navigatePreview(): void;
    onTouchEnd(event: TouchEvent, regRoute: IRouteParams, index: number): void;
    navigateOnClickSubRoute(event: MouseEvent, url: string): void;
    subRouteMouseMove(event: MouseEvent): void;
    onClick(event: MouseEvent, key: string, weight: number): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PreviewWindowComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PreviewWindowComponent, "lib-preview-window", never, { "stepWeight": { "alias": "stepWeight"; "required": false; }; "routes": { "alias": "routes"; "required": false; }; "includeSteps": { "alias": "includeSteps"; "required": false; }; "includeStepsCount": { "alias": "includeStepsCount"; "required": false; }; "progress": { "alias": "progress"; "required": false; }; "availableFarthestProgress": { "alias": "availableFarthestProgress"; "required": false; }; "farthestProgress": { "alias": "farthestProgress"; "required": false; }; "canContinue$": { "alias": "canContinue$"; "required": false; }; "router": { "alias": "router"; "required": false; }; }, {}, never, never, false, never>;
}
