import { ChangeDetectorRef } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import * as i0 from "@angular/core";
export declare class RangeSelectorComponent implements ControlValueAccessor {
    private cdr;
    minValue: number;
    maxValue: number;
    stepValue: number;
    dualKnobs: boolean;
    pinValue: boolean;
    reverseBarColor: boolean;
    enablePinFormatter: boolean;
    selectedRange: {
        lower: number;
        upper: number;
    } | number;
    private onChange;
    private onTouched;
    constructor(cdr: ChangeDetectorRef);
    writeValue(value: {
        lower: number;
        upper: number;
    } | number): void;
    registerOnChange(fn: (value: {
        lower: number;
        upper: number;
    } | number) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    rangeChanged(event: CustomEvent): void;
    pinFormatterFn(value: Number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<RangeSelectorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RangeSelectorComponent, "lib-range-selector", never, { "minValue": { "alias": "minValue"; "required": false; }; "maxValue": { "alias": "maxValue"; "required": false; }; "stepValue": { "alias": "stepValue"; "required": false; }; "dualKnobs": { "alias": "dualKnobs"; "required": false; }; "pinValue": { "alias": "pinValue"; "required": false; }; "reverseBarColor": { "alias": "reverseBarColor"; "required": false; }; "enablePinFormatter": { "alias": "enablePinFormatter"; "required": false; }; }, {}, never, never, false, never>;
}
