import { ChangeDetectorRef, EventEmitter, OnChanges, SimpleChanges } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { SelectOption } from '../../model/select-option';
import * as i0 from "@angular/core";
export declare class SelectableComponent implements ControlValueAccessor, OnChanges {
    private cdr;
    options: SelectOption<string>[];
    singleSelectionOnly: boolean;
    maxSelectionPossible: number;
    maxSelectionsReached: EventEmitter<boolean>;
    disableSelection: boolean;
    private onChange;
    private onTouched;
    constructor(cdr: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    writeValue(values: string[]): void;
    registerOnChange(fn: (value: string[]) => void): void;
    registerOnTouched(fn: () => void): void;
    setDisabledState(isDisabled: boolean): void;
    onSelection(value: string): void;
    onToggle(selectedOption: SelectOption<string>): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SelectableComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SelectableComponent, "lib-selectable", never, { "options": { "alias": "options"; "required": false; }; "singleSelectionOnly": { "alias": "singleSelectionOnly"; "required": false; }; "maxSelectionPossible": { "alias": "maxSelectionPossible"; "required": false; }; }, { "maxSelectionsReached": "maxSelectionsReached"; }, never, never, false, never>;
}
