import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { FormControl } from '@angular/forms';
import { Observable, Subject } from 'rxjs';
import { OtpInputComponent } from '../authentication/otp-input/otp-input.component';
import * as i0 from "@angular/core";
export declare class SharedVerificationComponent implements OnInit, OnDestroy {
    private cdr;
    hideVerificationTitle: boolean;
    hideEdit: boolean;
    confirmBtnTitle: string;
    sourceOfCode: string;
    otpInput: string;
    loading$: Observable<boolean>;
    secondsLeft$: Observable<number>;
    customClass: string;
    noOfBox: number;
    showConfirmBtn: boolean;
    dataSubmit: EventEmitter<string>;
    resend: EventEmitter<boolean>;
    edit: EventEmitter<boolean>;
    otpInputComponent: OtpInputComponent;
    otpCode: FormControl<string>;
    secondsLeft: number;
    downloadTimer: number;
    componentDestroyed$: Subject<void>;
    constructor(cdr: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnDestroy(): void;
    /**
     * Resend button click event
     */
    onResend(): void;
    /**
     * On confirm verification code
     */
    confirm(): void;
    onEdit(): void;
    /**
     * Start countring resend timer
     */
    private startCount;
    static ɵfac: i0.ɵɵFactoryDeclaration<SharedVerificationComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SharedVerificationComponent, "lib-verification", never, { "hideVerificationTitle": { "alias": "hideVerificationTitle"; "required": false; }; "hideEdit": { "alias": "hideEdit"; "required": false; }; "confirmBtnTitle": { "alias": "confirmBtnTitle"; "required": false; }; "sourceOfCode": { "alias": "sourceOfCode"; "required": false; }; "otpInput": { "alias": "otpInput"; "required": false; }; "loading$": { "alias": "loading$"; "required": false; }; "secondsLeft$": { "alias": "secondsLeft$"; "required": false; }; "customClass": { "alias": "customClass"; "required": false; }; "noOfBox": { "alias": "noOfBox"; "required": false; }; "showConfirmBtn": { "alias": "showConfirmBtn"; "required": false; }; "otpCode": { "alias": "otpCode"; "required": false; }; }, { "dataSubmit": "dataSubmit"; "resend": "resend"; "edit": "edit"; }, never, never, false, never>;
}
