import { AfterViewInit, ChangeDetectorRef, ElementRef, OnChanges, OnDestroy, SimpleChanges } from '@angular/core';
import * as d3 from 'd3';
import { InitialsPipe } from '../../pipes/initials/initials.pipe';
import { AlertStatusFields } from '../lib-client-dashboard/enums/alert-status-fields.enum';
import { ICircleData } from './interfaces/chart-data-circle.interface';
import { IDefsF } from './interfaces/chart-data-defs-f.interface';
import { IDefsLG } from './interfaces/chart-data-defs-lg.interface';
import { IDefsRG } from './interfaces/chart-data-defs-rg.interface';
import { ISpiderChartConfig } from './interfaces/config.interface';
import { IDataset } from './interfaces/dataset.interface';
import { IPolygonColor } from './interfaces/polygon-color.interface';
import * as i0 from "@angular/core";
export declare class SpiderChartComponent implements OnChanges, OnDestroy, AfterViewInit {
    private cdr;
    d3Chart: ElementRef;
    datasets: IDataset[];
    config: ISpiderChartConfig;
    polygon_colors: IPolygonColor[];
    showChartInfo: boolean;
    alertStatusFields: typeof AlertStatusFields;
    titleAlertPopup: string;
    descriptionAlertPopup: string;
    isAlertPopupClosing: boolean;
    timeStateAlertPopup: number;
    numberAlertPopup: number;
    svg: d3.Selection<SVGSVGElement, unknown, HTMLElement, unknown>;
    defsRG: IDefsRG[];
    defsF: IDefsF[];
    defsLG: IDefsLG[];
    circleData: ICircleData[];
    readonly initialsPipe: InitialsPipe;
    constructor(cdr: ChangeDetectorRef);
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onClosedAlert(data: {
        event: boolean;
        field: AlertStatusFields;
    }): void;
    private initializeChart;
    private createSvgObject;
    private createLine;
    private createCircle;
    private createText;
    private createPolygons;
    private createDefsAndLinearGradient;
    private createDefsAndFilter;
    private createDefsAndRadialGradient;
    private createRadarChart;
    static ɵfac: i0.ɵɵFactoryDeclaration<SpiderChartComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SpiderChartComponent, "lib-spider-chart", never, { "datasets": { "alias": "datasets"; "required": false; }; "config": { "alias": "config"; "required": false; }; "polygon_colors": { "alias": "polygon_colors"; "required": false; }; "showChartInfo": { "alias": "showChartInfo"; "required": false; }; }, {}, never, never, true, never>;
}
