import { AfterViewInit, ElementRef, OnDestroy, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import 'emoji-picker-element';
import { EmojiPickerConfig } from '../../model/emoji-picker-config';
import { ImageModel } from '../../model/image-model';
import { IText } from './text.interface';
import * as i0 from "@angular/core";
export declare class TextBoxComponent implements ControlValueAccessor, OnInit, AfterViewInit, OnDestroy {
    messageBoxRef: ElementRef;
    emojiPickerRef: ElementRef;
    label: string;
    maxLength: number;
    includeEmojiPicker: boolean;
    emojiPickerConfig: EmojiPickerConfig;
    includeImageAttachment: boolean;
    maxImageAttachmentLength: number;
    private renderer;
    private elementRef;
    private cdr;
    private documentClickListener;
    emojiVisibility: boolean;
    attachedImagesVisibility: boolean;
    attachedImages: string[];
    disabled: boolean;
    value: IText;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    ngOnDestroy(): void;
    onDocumentClick(event: Event): void;
    onBlurPickerSpace(): void;
    onEmojiclick(event: CustomEvent): void;
    onUploadImages(images: ImageModel[]): void;
    onAttachedPhotoDelete(index: number): void;
    onChange(value: IText): void;
    onTouched(touched: boolean): void;
    writeValue(value: IText): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState?(isDisabled: boolean): void;
    onKeydown(event: KeyboardEvent): void;
    onPaste(event: ClipboardEvent): void;
    onInput(event: any): void;
    updateModel(): void;
    private isDeleteOrArrowKey;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextBoxComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextBoxComponent, "lib-text-box", never, { "label": { "alias": "label"; "required": false; }; "maxLength": { "alias": "maxLength"; "required": false; }; "includeEmojiPicker": { "alias": "includeEmojiPicker"; "required": false; }; "emojiPickerConfig": { "alias": "emojiPickerConfig"; "required": false; }; "includeImageAttachment": { "alias": "includeImageAttachment"; "required": false; }; "maxImageAttachmentLength": { "alias": "maxImageAttachmentLength"; "required": false; }; }, {}, never, never, true, never>;
}
