import { ChangeDetectorRef, EventEmitter } from '@angular/core';
import * as i0 from "@angular/core";
export declare class TextListComponent {
    private changeDetectorRef;
    textListStrings: string[];
    placeholderText: string;
    isUrlList: boolean;
    disabled: boolean;
    buttonsHidden: boolean;
    showIndex: number;
    textValue: string;
    listChange: EventEmitter<string[]>;
    constructor(changeDetectorRef: ChangeDetectorRef);
    /**
     * Adds new item in list, and clears the 'add' input value
     */
    addTextItem(): void;
    /**
     * Splices the deleted item from the list
     */
    deleteTextItem(text: string): void;
    /**
     * Called when clicking in or out of the input
     */
    handleButtonToggle(): void;
    hideButtons(): void;
    /**
     * Adds the input's string as part of the list on Enter key press
     */
    onKeyUp(event: KeyboardEvent, text: string): void;
    openUrl(item: string): void;
    cancel($event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<TextListComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TextListComponent, "lib-text-list", never, { "textListStrings": { "alias": "textListStrings"; "required": false; }; "placeholderText": { "alias": "placeholderText"; "required": false; }; "isUrlList": { "alias": "isUrlList"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; }, { "listChange": "listChange"; }, never, never, false, never>;
}
