import { ChangeDetectorRef, EventEmitter, OnDestroy, OnInit } from '@angular/core';
import { Subject } from 'rxjs';
import { ToasterConfig } from '../../models/toaster.config';
import { LibToastrService } from './toastr.service';
import * as i0 from "@angular/core";
export declare class LibToastrComponent implements OnInit, OnDestroy {
    private changeDetectorRef;
    private libToastrService;
    config: ToasterConfig;
    closeClick: EventEmitter<any>;
    checkboxChange: EventEmitter<any>;
    toasterLife: number;
    show: boolean;
    toasterIcon: string;
    timeout: number;
    checkbox: boolean;
    destroy$: Subject<void>;
    animationDuration: number;
    toastrExiting: boolean;
    selfKill: boolean;
    constructor(changeDetectorRef: ChangeDetectorRef, libToastrService: LibToastrService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    private _initToaster;
    private _initTimeout;
    private _clearTime;
    onCloseIconClick(event: Event): void;
    onCheckboxChange(): void;
    mouseOver(mouseState: boolean): void;
    performToastrCleanupRitual(updatedToastrConfig?: ToasterConfig): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<LibToastrComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LibToastrComponent, "lib-toastr", never, { "config": { "alias": "config"; "required": false; }; }, { "closeClick": "closeClick"; "checkboxChange": "checkboxChange"; }, never, never, false, never>;
}
