import { EventEmitter, OnInit } from '@angular/core';
import { ControlValueAccessor } from '@angular/forms';
import { ToggleStatuses } from './enums/toggle-status.enum';
import { ToggleVariants } from './enums/toggle-variants.enum';
import { ToggleCircleMask } from './interfaces/toggle-circle-mask.interface';
import { ToggleGraphics } from './interfaces/toggle-graphics.interface';
import * as i0 from "@angular/core";
export declare class ToggleComponent implements OnInit, ControlValueAccessor {
    disabled: boolean;
    set toggleState(value: boolean | number);
    variant: ToggleVariants;
    left: ToggleGraphics;
    right: ToggleGraphics;
    thumbImg: string;
    toggleStateChange: EventEmitter<boolean | number>;
    TOGGLE_VARIANT: typeof ToggleVariants;
    TOGGLE_STATUS: typeof ToggleStatuses;
    circleMask: ToggleCircleMask;
    currentToggleStatus: ToggleStatuses;
    _toggleState: boolean | number;
    private onChange;
    private onTouched;
    multipleOptions: ToggleGraphics[];
    protected optionId: number;
    ngOnInit(): void;
    writeValue(value: boolean | number): void;
    registerOnChange(fn: any): void;
    registerOnTouched(fn: any): void;
    setDisabledState(isDisabled: boolean): void;
    toggleButtonClick(): void;
    toggleMultipleOptions(index: number): void;
    /**
     * Sets the position of the toggle knob based on the provided value.
     *
     * @param {boolean} value - The new state of the toggle. `true` represents the "on" state, and `false` represents the "off" state.
     *
     * @remarks
     * If the toggle is in its initial state (`ToggleStatuses.Initial`) and the provided value
     * is `false` (i.e., "off"), the method prevents the toggle knob from unnecessarily animating
     * from right to left, maintaining its initial position to avoid unexpected visual behavior.
     */
    private setToggleKnobPosition;
    static ɵfac: i0.ɵɵFactoryDeclaration<ToggleComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ToggleComponent, "lib-toggle", never, { "disabled": { "alias": "disabled"; "required": false; }; "toggleState": { "alias": "toggleState"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "left": { "alias": "left"; "required": false; }; "right": { "alias": "right"; "required": false; }; "thumbImg": { "alias": "thumbImg"; "required": false; }; "multipleOptions": { "alias": "multipleOptions"; "required": false; }; }, { "toggleStateChange": "toggleStateChange"; }, never, never, false, never>;
}
