import { ElementRef, EventEmitter, OnInit, TemplateRef } from '@angular/core';
import { LibMenuItem } from '../../model/lib-menu-item';
import { INotificationActivity, INotificationItem, INotificationsList } from '../notifications-list/interfaces';
import * as i0 from "@angular/core";
export declare class UserMenuComponent implements OnInit {
    logoutTemplate: TemplateRef<HTMLElement>;
    infoTemplate: TemplateRef<HTMLElement>;
    feedbackTemplate: TemplateRef<HTMLElement>;
    aisearchTemplate: TemplateRef<HTMLElement>;
    notificationsTemplate: TemplateRef<HTMLElement>;
    scrollableContainer: ElementRef;
    customMenuItems: LibMenuItem[];
    notifications: INotificationsList[];
    isLoadingNotifications: boolean;
    userImageUrl: string;
    handleNotificationClick: EventEmitter<INotificationItem>;
    getNotifications: EventEmitter<boolean>;
    emitFeedback: EventEmitter<void>;
    emitInfo: EventEmitter<void>;
    emitLogout: EventEmitter<void>;
    /** Distance in pixels before the bottom to start loading more items */
    scrollThreshold: number;
    /** Time in milliseconds during which to ignore scroll events */
    throttle: number;
    /** Distance in percentage of container height to trigger infinite scroll */
    distance: number;
    notificationsOpened: boolean;
    moreNotificationsEnabled: boolean;
    menuItems: LibMenuItem[];
    ngOnInit(): void;
    enableMoreNotifications(): void;
    onScrollNotifications(): void;
    notificationClicked(e: INotificationItem): void;
    toggleNotifications(): void;
    handleNotificationActivity(event: INotificationActivity): void;
    areThereNewNotifications(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<UserMenuComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<UserMenuComponent, "lib-user-menu", never, { "customMenuItems": { "alias": "customMenuItems"; "required": false; }; "notifications": { "alias": "notifications"; "required": false; }; "isLoadingNotifications": { "alias": "isLoadingNotifications"; "required": false; }; "userImageUrl": { "alias": "userImageUrl"; "required": false; }; }, { "handleNotificationClick": "handleNotificationClick"; "getNotifications": "getNotifications"; "emitFeedback": "emitFeedback"; "emitInfo": "emitInfo"; "emitLogout": "emitLogout"; }, never, never, true, never>;
}
