import { Overlay, OverlayPositionBuilder } from '@angular/cdk/overlay';
import { ElementRef, OnDestroy, Renderer2 } from '@angular/core';
import { SafeHtml } from '@angular/platform-browser';
import { TooltipDirectionPreference } from '../../enums/tooltip-direction-preference';
import * as i0 from "@angular/core";
export declare class TooltipDirective implements OnDestroy {
    private elementRef;
    private overlay;
    private overlayPositionBuilder;
    private renderer;
    private overlayRef;
    private delayTimer;
    private readonly minimumVerticalSpaceNeeded;
    private readonly minimumHorizontalSpaceNeeded;
    private readonly tooltipOffsetAmount;
    libTooltip: string;
    title: SafeHtml;
    hideIcon: boolean;
    delayTime: number;
    holdTimeForMobile: number;
    directionPreference: TooltipDirectionPreference;
    private holdTimeout;
    mouseEnter(): void;
    mouseOut(): void;
    onClick(): void;
    onTouchStart(event: TouchEvent): void;
    onTouchEnd(event: TouchEvent): void;
    constructor(elementRef: ElementRef, overlay: Overlay, overlayPositionBuilder: OverlayPositionBuilder, renderer: Renderer2);
    ngOnDestroy(): void;
    private show;
    private handleBottomShow;
    private applyPositionStrategy;
    private applyCarotClass;
    private handleTopShow;
    private handleLeftShow;
    private handleRightShow;
    private getBoundingRect;
    private createComponentRef;
    private setComponentVariables;
    private hide;
    private hasRoomToDisplay;
    private generateVerticalPosition;
    private generateHorizontalPosition;
    static ɵfac: i0.ɵɵFactoryDeclaration<TooltipDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<TooltipDirective, "[libTooltip]", never, { "libTooltip": { "alias": "libTooltip"; "required": false; }; "title": { "alias": "title"; "required": false; }; "hideIcon": { "alias": "hideIcon"; "required": false; }; "delayTime": { "alias": "delayTime"; "required": false; }; "holdTimeForMobile": { "alias": "holdTimeForMobile"; "required": false; }; "directionPreference": { "alias": "directionPreference"; "required": false; }; }, {}, never, never, false, never>;
}
