import { UntypedFormControl } from '@angular/forms';
import { SafeHtml, SafeUrl } from '@angular/platform-browser';
import { Observable } from 'rxjs';
import { FormFieldType } from '../../enums/form-field-type';
import { SelectOption } from '../select-option';
import { FormActionConfig } from './form-action-config';
import { FormBannerConfig } from './form-banner-config';
import { FormIncrementerConfig } from './form-incrementer-config';
import { FormInjectableFormFieldConfig } from './form-injectable-form-field-config';
import { FormMultifieldConfig } from './form-multifield-config';
import { FormMultiselectConfig } from './form-multiselect-config';
import { FormNumberConfig } from './form-number-config';
import { FormRatingConfig } from './form-rating-config';
import { FormTextlistConfig } from './form-textlist-config';
import { FormTypeaheadConfig } from './form-typeahead-config';
/**
 * Used to store the variables necessary for displaying a form field.
 *
 * These variables are used to config all the types of components form-generator supports.
 */
export declare class FormFieldVariables {
    control: UntypedFormControl;
    controlName: string;
    type: FormFieldType;
    id: number;
    selectOptions: SelectOption<any>[];
    labelIcon?: SafeHtml;
    placeholder?: string;
    isHidden?: boolean;
    isInlineField?: boolean;
    maxLength?: number;
    required?: boolean;
    label?: string;
    patternErrorMessage?: string;
    typeaheadConfig?: FormTypeaheadConfig;
    dateOptions?: object;
    multiselectOptions?: {
        groupName: string;
        options: SelectOption<any>[];
    }[];
    multiselectDefaultOptions?: SelectOption<any>[];
    textlist?: string[];
    textlistConfig?: FormTextlistConfig;
    flexBasisPct?: number;
    flexGrow?: number;
    descriptionText?: string;
    fullLength?: boolean;
    trackId: string;
    multifieldConfig?: FormMultifieldConfig;
    multiselectConfig?: FormMultiselectConfig;
    imageUrl?: SafeUrl;
    actionConfig?: FormActionConfig;
    bannerConfig?: FormBannerConfig;
    message?: string;
    disabled: boolean;
    isEditable?: boolean;
    confirmationObsv?: Observable<any>;
    handleConfirmation?: (event: any) => void;
    injectableConfig?: FormInjectableFormFieldConfig;
    hyperlinkTarget?: string;
    numberConfig?: FormNumberConfig;
    showLabelInRequiredErrorMessage?: boolean;
    readOnly?: boolean;
    ratingConfig?: FormRatingConfig;
    incrementerConfig?: FormIncrementerConfig;
}
