import { ItemActionHandler } from '../item-action-handler';
import { FormFieldStructure } from './form-field-structure';
import { FormSectionVariables } from './form-section-variables';
/**
 * Used to structure groups within forms. All group level configuration will go here.
 */
export declare class FormSectionStructure {
    fieldStructures: FormFieldStructure[];
    groupName: string;
    expanded: boolean;
    footerAction: ItemActionHandler;
    useSlideToggle: boolean;
    headerActions: ItemActionHandler[];
    id: string;
    constructor(fieldStructures: FormFieldStructure[], groupName: string, expanded?: boolean, footerAction?: ItemActionHandler, useSlideToggle?: boolean, headerActions?: ItemActionHandler[], id?: string);
    convertStructureToVariables(): FormSectionVariables;
}
export declare class FormSectionStructureBuilder {
    private structure;
    constructor(groupName: string, ...formFieldStructures: FormFieldStructure[]);
    buildStructure(): FormSectionStructure;
    setExpanded(expanded: boolean): FormSectionStructureBuilder;
    setFooterAction(footerAction: ItemActionHandler): FormSectionStructureBuilder;
    setUseSlideToggle(useSlideToggle: boolean): FormSectionStructureBuilder;
    setHeaderActions(headerActions?: ItemActionHandler[]): FormSectionStructureBuilder;
    setId(id: string): FormSectionStructureBuilder;
}
