import { FormGenStyle } from '../../enums/form-gen-style';
import { FormFieldStructure } from './form-field-structure';
import { FormSectionStructure } from './form-section-structure';
/**
 * Structure for form with a list of child group structures. All overall form configurations will go here.
 */
export declare class FormStructure {
    groupStructures: FormSectionStructure[];
    formStyle: FormGenStyle;
    constructor(groupStructures: FormSectionStructure[], formStyle?: FormGenStyle);
    /**
     * @param groupName - The name of the FormSectionStructure to search within
     * @param fieldName - The name of the FormFieldStructure
     *
     * @return - The FormFieldStructure with the given name in the given FormSectionStructure
     */
    getFormFieldStructure(groupName: string, fieldName: string): FormFieldStructure;
}
