import { SafeHtml } from '@angular/platform-browser';
import { Observable } from 'rxjs';
import { ItemSummary } from '../item-summary';
import { TypeaheadResultsGroup } from '../typeahead-results-group';
/**
 * Used to configure the functionality of the typeahead form field.
 */
export declare class FormTypeaheadConfig {
    entity: {
        searchFunction: (value: string) => Observable<any[]>;
        mappingFunction: (entity: any) => Observable<ItemSummary<any>>;
        filterFunction: (entity: any) => boolean;
        sortFunction: (a: ItemSummary<any>, b: ItemSummary<any>) => number;
        resultGroupFunction?: (results: ItemSummary<any>[]) => TypeaheadResultsGroup[];
        entityMetadata?: {
            typeLabel: string;
            iconHtml: SafeHtml;
        };
    }[];
    selectionFunction?: (item: ItemSummary<any>) => void;
    alternateFunction?: (value: string) => any;
    alternateText?: string;
    defaultText?: string;
    defaultSearchString?: string;
    inputChangeFunction?: (value: string) => void;
    errorMessage?: string;
    suggestionText?: string;
    required?: boolean;
    constructor(entity: {
        searchFunction: (value: string) => Observable<any[]>;
        mappingFunction: (entity: any) => Observable<ItemSummary<any>>;
        filterFunction: (entity: any) => boolean;
        sortFunction: (a: ItemSummary<any>, b: ItemSummary<any>) => number;
        resultGroupFunction?: (results: ItemSummary<any>[]) => TypeaheadResultsGroup[];
        entityName?: string;
    }[], selectionFunction?: (item: ItemSummary<any>) => void, alternateFunction?: (value: string) => any, alternateText?: string, defaultText?: string, defaultSearchString?: string, inputChangeFunction?: (value: string) => void, errorMessage?: string, suggestionText?: string, required?: boolean);
}
