import { SafeHtml, SafeUrl } from '@angular/platform-browser';
import { ItemActionHandler } from './item-action-handler';
import { ItemInfoLine } from './item-info-line';
/**
 * This model class contains basic info about a type as well as how to display
 * and interact with it.
 */
export declare class ItemSummary<T> {
    header: ItemInfoLine;
    subheaders: ItemInfoLine[];
    details: ItemInfoLine[];
    item: T;
    abbreviation: string;
    icon: SafeHtml;
    iconBackgroundColor: string;
    image: SafeUrl;
    visualIcon: SafeHtml;
    actionHandler: ItemActionHandler;
    disabled: boolean;
    constructor(header: ItemInfoLine, subheaders: ItemInfoLine[], details: ItemInfoLine[], item: T);
    /**
     *
     * @param summary - summary to compare with.
     *
     * Determines if the summary matches this one based on the displayed text values.
     */
    equals(summary: ItemSummary<any>): boolean;
    clone(): ItemSummary<T>;
}
