import { NsfwClasses } from '../enums/nsfw-classes.enum';
interface WorkerMessage {
    messageId: number;
    action: string;
}
interface FacesDetectedMessage extends WorkerMessage {
    action: 'facesDetected';
    faces: Array<any>;
}
interface ImageClassifiedMessage extends WorkerMessage {
    action: 'imageClassified';
    classifications: Array<{
        className: NsfwClasses;
        probability: number;
    }>;
}
interface ModelsLoadedMessage extends WorkerMessage {
    action: 'modelsLoaded';
}
export type WorkerResponse = FacesDetectedMessage | ImageClassifiedMessage | ModelsLoadedMessage;
export {};
